#line 2 "lib/CxNewickLexer.c"
#line 2 "lib/CxNewickLexer.l"
#include <stdlib.h>

#include "Cx.h"

typedef enum {
    CxeNewickLexerInputModeFd,
    CxeNewickLexerInputModeStr
} CxtNewickLexerInputMode;

typedef enum {
    CxeNewickLexerTokTypeComment,
    CxeNewickLexerTokTypeLparen,
    CxeNewickLexerTokTypeRparen,
    CxeNewickLexerTokTypeComma,
    CxeNewickLexerTokTypeColon,
    CxeNewickLexerTokTypeSemicolon,
    CxeNewickLexerTokTypeBranchLength,
    CxeNewickLexerTokTypeUnquotedLabel,
    CxeNewickLexerTokTypeQuotedLabel,
    CxeNewickLexerTokTypeWhitespace
} CxtNewickLexerTokType;

typedef struct {
    unsigned line;
    int ioerror;
    CxtNewickLexerInputMode inputMode;
    union {
        int fd;
        struct {
            char *s;
            size_t len;
        } s;
    } input;

    CxtNewickLexerTokType tokType;
    struct {
	char *s;
	size_t len;
    } tok;
} CxtNewickLexerExtra;



#line 47 "lib/CxNewickLexer.c"

#define  YY_INT_ALIGNED long int

/* A lexical scanner generated by flex */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 5
#define YY_FLEX_SUBMINOR_VERSION 35
#if YY_FLEX_SUBMINOR_VERSION > 0
#define FLEX_BETA
#endif

/* First, we deal with  platform-specific or compiler-specific issues. */

/* begin standard C headers. */
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

/* end standard C headers. */

/* flex integer type definitions */

#ifndef FLEXINT_H
#define FLEXINT_H

/* C99 systems have <inttypes.h>. Non-C99 systems may or may not. */

#if defined (__STDC_VERSION__) && __STDC_VERSION__ >= 199901L

/* C99 says to define __STDC_LIMIT_MACROS before including stdint.h,
 * if you want the limit (max/min) macros for int types. 
 */
#ifndef __STDC_LIMIT_MACROS
#define __STDC_LIMIT_MACROS 1
#endif

#include <inttypes.h>
typedef int8_t flex_int8_t;
typedef uint8_t flex_uint8_t;
typedef int16_t flex_int16_t;
typedef uint16_t flex_uint16_t;
typedef int32_t flex_int32_t;
typedef uint32_t flex_uint32_t;
#else
typedef signed char flex_int8_t;
typedef short int flex_int16_t;
typedef int flex_int32_t;
typedef unsigned char flex_uint8_t; 
typedef unsigned short int flex_uint16_t;
typedef unsigned int flex_uint32_t;
#endif /* ! C99 */

/* Limits of integral types. */
#ifndef INT8_MIN
#define INT8_MIN               (-128)
#endif
#ifndef INT16_MIN
#define INT16_MIN              (-32767-1)
#endif
#ifndef INT32_MIN
#define INT32_MIN              (-2147483647-1)
#endif
#ifndef INT8_MAX
#define INT8_MAX               (127)
#endif
#ifndef INT16_MAX
#define INT16_MAX              (32767)
#endif
#ifndef INT32_MAX
#define INT32_MAX              (2147483647)
#endif
#ifndef UINT8_MAX
#define UINT8_MAX              (255U)
#endif
#ifndef UINT16_MAX
#define UINT16_MAX             (65535U)
#endif
#ifndef UINT32_MAX
#define UINT32_MAX             (4294967295U)
#endif

#endif /* ! FLEXINT_H */

#ifdef __cplusplus

/* The "const" storage-class-modifier is valid. */
#define YY_USE_CONST

#else	/* ! __cplusplus */

/* C99 requires __STDC__ to be defined as 1. */
#if defined (__STDC__)

#define YY_USE_CONST

#endif	/* defined (__STDC__) */
#endif	/* ! __cplusplus */

#ifdef YY_USE_CONST
#define yyconst const
#else
#define yyconst
#endif

/* Returned upon end-of-file. */
#define YY_NULL 0

/* Promotes a possibly negative, possibly signed char to an unsigned
 * integer for use as an array index.  If the signed char is negative,
 * we want to instead treat it as an 8-bit unsigned char, hence the
 * double cast.
 */
#define YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)

/* An opaque pointer. */
#ifndef YY_TYPEDEF_YY_SCANNER_T
#define YY_TYPEDEF_YY_SCANNER_T
typedef void* yyscan_t;
#endif

/* For convenience, these vars (plus the bison vars far below)
   are macros in the reentrant scanner. */
#define yyin yyg->yyin_r
#define yyout yyg->yyout_r
#define yyextra yyg->yyextra_r
#define yyleng yyg->yyleng_r
#define yytext yyg->yytext_r
#define yylineno (YY_CURRENT_BUFFER_LVALUE->yy_bs_lineno)
#define yycolumn (YY_CURRENT_BUFFER_LVALUE->yy_bs_column)
#define yy_flex_debug yyg->yy_flex_debug_r

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN yyg->yy_start = 1 + 2 *

/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START ((yyg->yy_start - 1) / 2)
#define YYSTATE YY_START

/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)

/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE CxNewickLexer_restart(yyin ,yyscanner )

#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#ifndef YY_BUF_SIZE
#define YY_BUF_SIZE 16384
#endif

/* The state buf must be large enough to hold one state per character in the main buffer.
 */
#define YY_STATE_BUF_SIZE   ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

#ifndef YY_TYPEDEF_YY_BUFFER_STATE
#define YY_TYPEDEF_YY_BUFFER_STATE
typedef struct yy_buffer_state *YY_BUFFER_STATE;
#endif

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2

    #define YY_LESS_LINENO(n)
    
/* Return all but the first "n" matched characters back to the input stream. */
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		*yy_cp = yyg->yy_hold_char; \
		YY_RESTORE_YY_MORE_OFFSET \
		yyg->yy_c_buf_p = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )

#define unput(c) yyunput( c, yyg->yytext_ptr , yyscanner )

#ifndef YY_TYPEDEF_YY_SIZE_T
#define YY_TYPEDEF_YY_SIZE_T
typedef size_t yy_size_t;
#endif

#ifndef YY_STRUCT_YY_BUFFER_STATE
#define YY_STRUCT_YY_BUFFER_STATE
struct yy_buffer_state
	{
	FILE *yy_input_file;

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	yy_size_t yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	int yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

    int yy_bs_lineno; /**< The line count. */
    int yy_bs_column; /**< The column count. */
    
	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;

#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via CxNewickLexer_restart()), so that the user can continue scanning by
	 * just pointing yyin at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2

	};
#endif /* !YY_STRUCT_YY_BUFFER_STATE */

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 *
 * Returns the top of the stack, or NULL.
 */
#define YY_CURRENT_BUFFER ( yyg->yy_buffer_stack \
                          ? yyg->yy_buffer_stack[yyg->yy_buffer_stack_top] \
                          : NULL)

/* Same as previous macro, but useful when we know that the buffer stack is not
 * NULL or when we need an lvalue. For internal use only.
 */
#define YY_CURRENT_BUFFER_LVALUE yyg->yy_buffer_stack[yyg->yy_buffer_stack_top]

void CxNewickLexer_restart (FILE *input_file ,yyscan_t yyscanner );
void CxNewickLexer__switch_to_buffer (YY_BUFFER_STATE new_buffer ,yyscan_t yyscanner );
YY_BUFFER_STATE CxNewickLexer__create_buffer (FILE *file,int size ,yyscan_t yyscanner );
void CxNewickLexer__delete_buffer (YY_BUFFER_STATE b ,yyscan_t yyscanner );
void CxNewickLexer__flush_buffer (YY_BUFFER_STATE b ,yyscan_t yyscanner );
void CxNewickLexer_push_buffer_state (YY_BUFFER_STATE new_buffer ,yyscan_t yyscanner );
void CxNewickLexer_pop_buffer_state (yyscan_t yyscanner );

static void CxNewickLexer_ensure_buffer_stack (yyscan_t yyscanner );
static void CxNewickLexer__load_buffer_state (yyscan_t yyscanner );
static void CxNewickLexer__init_buffer (YY_BUFFER_STATE b,FILE *file ,yyscan_t yyscanner );

#define YY_FLUSH_BUFFER CxNewickLexer__flush_buffer(YY_CURRENT_BUFFER ,yyscanner)

YY_BUFFER_STATE CxNewickLexer__scan_buffer (char *base,yy_size_t size ,yyscan_t yyscanner );
YY_BUFFER_STATE CxNewickLexer__scan_string (yyconst char *yy_str ,yyscan_t yyscanner );
YY_BUFFER_STATE CxNewickLexer__scan_bytes (yyconst char *bytes,int len ,yyscan_t yyscanner );

void *CxNewickLexer_alloc (yy_size_t ,yyscan_t yyscanner );
void *CxNewickLexer_realloc (void *,yy_size_t ,yyscan_t yyscanner );
void CxNewickLexer_free (void * ,yyscan_t yyscanner );

#define yy_new_buffer CxNewickLexer__create_buffer

#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){ \
        CxNewickLexer_ensure_buffer_stack (yyscanner); \
		YY_CURRENT_BUFFER_LVALUE =    \
            CxNewickLexer__create_buffer(yyin,YY_BUF_SIZE ,yyscanner); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
	}

#define yy_set_bol(at_bol) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){\
        CxNewickLexer_ensure_buffer_stack (yyscanner); \
		YY_CURRENT_BUFFER_LVALUE =    \
            CxNewickLexer__create_buffer(yyin,YY_BUF_SIZE ,yyscanner); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
	}

#define YY_AT_BOL() (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)

/* Begin user sect3 */

typedef unsigned char YY_CHAR;

typedef yyconst struct yy_trans_info *yy_state_type;

#define yytext_ptr yytext_r

static yy_state_type yy_get_previous_state (yyscan_t yyscanner );
static yy_state_type yy_try_NUL_trans (yy_state_type current_state  ,yyscan_t yyscanner);
static int yy_get_next_buffer (yyscan_t yyscanner );
static void yy_fatal_error (yyconst char msg[] ,yyscan_t yyscanner );

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up yytext.
 */
#define YY_DO_BEFORE_ACTION \
	yyg->yytext_ptr = yy_bp; \
	yyg->yytext_ptr -= yyg->yy_more_len; \
	yyleng = (size_t) (yy_cp - yyg->yytext_ptr); \
	yyg->yy_hold_char = *yy_cp; \
	*yy_cp = '\0'; \
	yyg->yy_c_buf_p = yy_cp;

#define YY_NUM_RULES 19
#define YY_END_OF_BUFFER 20
struct yy_trans_info
	{
	flex_int32_t yy_verify;
	flex_int32_t yy_nxt;
	};
static yyconst struct yy_trans_info yy_transition[6009] =
    {
 {   0,   0 }, {   0,5753 }, {   0,   0 }, {   0,5751 }, {   1,1032 },
 {   2,1032 }, {   3,1032 }, {   4,1032 }, {   5,1032 }, {   6,1032 },
 {   7,1032 }, {   8,1032 }, {   9,1290 }, {  10,1294 }, {  11,1290 },
 {  12,1290 }, {  13,1290 }, {  14,1032 }, {  15,1032 }, {  16,1032 },
 {  17,1032 }, {  18,1032 }, {  19,1032 }, {  20,1032 }, {  21,1032 },
 {  22,1032 }, {  23,1032 }, {  24,1032 }, {  25,1032 }, {  26,1032 },
 {  27,1032 }, {  28,1032 }, {  29,1032 }, {  30,1032 }, {  31,1032 },
 {  32,1290 }, {  33,1032 }, {  34,1032 }, {  35,1032 }, {  36,1032 },
 {  37,1032 }, {  38,1032 }, {  39,1324 }, {  40,1296 }, {  41,1298 },
 {  42,1032 }, {  43,1582 }, {  44,1306 }, {  45,1582 }, {  46,1032 },

 {  47,1032 }, {  48,1840 }, {  49,1840 }, {  50,1840 }, {  51,1840 },
 {  52,1840 }, {  53,1840 }, {  54,1840 }, {  55,1840 }, {  56,1840 },
 {  57,1840 }, {  58,1308 }, {  59,1310 }, {  60,1032 }, {  61,1032 },
 {  62,1032 }, {  63,1032 }, {  64,1032 }, {  65,1032 }, {  66,1032 },
 {  67,1032 }, {  68,1032 }, {  69,1032 }, {  70,1032 }, {  71,1032 },
 {  72,1032 }, {  73,1032 }, {  74,1032 }, {  75,1032 }, {  76,1032 },
 {  77,1032 }, {  78,1032 }, {  79,1032 }, {  80,1032 }, {  81,1032 },
 {  82,1032 }, {  83,1032 }, {  84,1032 }, {  85,1032 }, {  86,1032 },
 {  87,1032 }, {  88,1032 }, {  89,1032 }, {  90,1032 }, {  91,2098 },
 {  92,1032 }, {  93,1312 }, {  94,1032 }, {  95,1032 }, {  96,1032 },

 {  97,1032 }, {  98,1032 }, {  99,1032 }, { 100,1032 }, { 101,1032 },
 { 102,1032 }, { 103,1032 }, { 104,1032 }, { 105,1032 }, { 106,1032 },
 { 107,1032 }, { 108,1032 }, { 109,1032 }, { 110,1032 }, { 111,1032 },
 { 112,1032 }, { 113,1032 }, { 114,1032 }, { 115,1032 }, { 116,1032 },
 { 117,1032 }, { 118,1032 }, { 119,1032 }, { 120,1032 }, { 121,1032 },
 { 122,1032 }, { 123,1032 }, { 124,1032 }, { 125,1032 }, { 126,1032 },
 { 127,1032 }, { 128,1032 }, { 129,1032 }, { 130,1032 }, { 131,1032 },
 { 132,1032 }, { 133,1032 }, { 134,1032 }, { 135,1032 }, { 136,1032 },
 { 137,1032 }, { 138,1032 }, { 139,1032 }, { 140,1032 }, { 141,1032 },
 { 142,1032 }, { 143,1032 }, { 144,1032 }, { 145,1032 }, { 146,1032 },

 { 147,1032 }, { 148,1032 }, { 149,1032 }, { 150,1032 }, { 151,1032 },
 { 152,1032 }, { 153,1032 }, { 154,1032 }, { 155,1032 }, { 156,1032 },
 { 157,1032 }, { 158,1032 }, { 159,1032 }, { 160,1032 }, { 161,1032 },
 { 162,1032 }, { 163,1032 }, { 164,1032 }, { 165,1032 }, { 166,1032 },
 { 167,1032 }, { 168,1032 }, { 169,1032 }, { 170,1032 }, { 171,1032 },
 { 172,1032 }, { 173,1032 }, { 174,1032 }, { 175,1032 }, { 176,1032 },
 { 177,1032 }, { 178,1032 }, { 179,1032 }, { 180,1032 }, { 181,1032 },
 { 182,1032 }, { 183,1032 }, { 184,1032 }, { 185,1032 }, { 186,1032 },
 { 187,1032 }, { 188,1032 }, { 189,1032 }, { 190,1032 }, { 191,1032 },
 { 192,1032 }, { 193,1032 }, { 194,1032 }, { 195,1032 }, { 196,1032 },

 { 197,1032 }, { 198,1032 }, { 199,1032 }, { 200,1032 }, { 201,1032 },
 { 202,1032 }, { 203,1032 }, { 204,1032 }, { 205,1032 }, { 206,1032 },
 { 207,1032 }, { 208,1032 }, { 209,1032 }, { 210,1032 }, { 211,1032 },
 { 212,1032 }, { 213,1032 }, { 214,1032 }, { 215,1032 }, { 216,1032 },
 { 217,1032 }, { 218,1032 }, { 219,1032 }, { 220,1032 }, { 221,1032 },
 { 222,1032 }, { 223,1032 }, { 224,1032 }, { 225,1032 }, { 226,1032 },
 { 227,1032 }, { 228,1032 }, { 229,1032 }, { 230,1032 }, { 231,1032 },
 { 232,1032 }, { 233,1032 }, { 234,1032 }, { 235,1032 }, { 236,1032 },
 { 237,1032 }, { 238,1032 }, { 239,1032 }, { 240,1032 }, { 241,1032 },
 { 242,1032 }, { 243,1032 }, { 244,1032 }, { 245,1032 }, { 246,1032 },

 { 247,1032 }, { 248,1032 }, { 249,1032 }, { 250,1032 }, { 251,1032 },
 { 252,1032 }, { 253,1032 }, { 254,1032 }, { 255,1032 }, { 256,1032 },
 {   0,   0 }, {   0,5493 }, {   1, 774 }, {   2, 774 }, {   3, 774 },
 {   4, 774 }, {   5, 774 }, {   6, 774 }, {   7, 774 }, {   8, 774 },
 {   9,1032 }, {  10,1036 }, {  11,1032 }, {  12,1032 }, {  13,1032 },
 {  14, 774 }, {  15, 774 }, {  16, 774 }, {  17, 774 }, {  18, 774 },
 {  19, 774 }, {  20, 774 }, {  21, 774 }, {  22, 774 }, {  23, 774 },
 {  24, 774 }, {  25, 774 }, {  26, 774 }, {  27, 774 }, {  28, 774 },
 {  29, 774 }, {  30, 774 }, {  31, 774 }, {  32,1032 }, {  33, 774 },
 {  34, 774 }, {  35, 774 }, {  36, 774 }, {  37, 774 }, {  38, 774 },

 {  39,1066 }, {  40,1038 }, {  41,1040 }, {  42, 774 }, {  43,1324 },
 {  44,1048 }, {  45,1324 }, {  46, 774 }, {  47, 774 }, {  48,1582 },
 {  49,1582 }, {  50,1582 }, {  51,1582 }, {  52,1582 }, {  53,1582 },
 {  54,1582 }, {  55,1582 }, {  56,1582 }, {  57,1582 }, {  58,1050 },
 {  59,1052 }, {  60, 774 }, {  61, 774 }, {  62, 774 }, {  63, 774 },
 {  64, 774 }, {  65, 774 }, {  66, 774 }, {  67, 774 }, {  68, 774 },
 {  69, 774 }, {  70, 774 }, {  71, 774 }, {  72, 774 }, {  73, 774 },
 {  74, 774 }, {  75, 774 }, {  76, 774 }, {  77, 774 }, {  78, 774 },
 {  79, 774 }, {  80, 774 }, {  81, 774 }, {  82, 774 }, {  83, 774 },
 {  84, 774 }, {  85, 774 }, {  86, 774 }, {  87, 774 }, {  88, 774 },

 {  89, 774 }, {  90, 774 }, {  91,1840 }, {  92, 774 }, {  93,1054 },
 {  94, 774 }, {  95, 774 }, {  96, 774 }, {  97, 774 }, {  98, 774 },
 {  99, 774 }, { 100, 774 }, { 101, 774 }, { 102, 774 }, { 103, 774 },
 { 104, 774 }, { 105, 774 }, { 106, 774 }, { 107, 774 }, { 108, 774 },
 { 109, 774 }, { 110, 774 }, { 111, 774 }, { 112, 774 }, { 113, 774 },
 { 114, 774 }, { 115, 774 }, { 116, 774 }, { 117, 774 }, { 118, 774 },
 { 119, 774 }, { 120, 774 }, { 121, 774 }, { 122, 774 }, { 123, 774 },
 { 124, 774 }, { 125, 774 }, { 126, 774 }, { 127, 774 }, { 128, 774 },
 { 129, 774 }, { 130, 774 }, { 131, 774 }, { 132, 774 }, { 133, 774 },
 { 134, 774 }, { 135, 774 }, { 136, 774 }, { 137, 774 }, { 138, 774 },

 { 139, 774 }, { 140, 774 }, { 141, 774 }, { 142, 774 }, { 143, 774 },
 { 144, 774 }, { 145, 774 }, { 146, 774 }, { 147, 774 }, { 148, 774 },
 { 149, 774 }, { 150, 774 }, { 151, 774 }, { 152, 774 }, { 153, 774 },
 { 154, 774 }, { 155, 774 }, { 156, 774 }, { 157, 774 }, { 158, 774 },
 { 159, 774 }, { 160, 774 }, { 161, 774 }, { 162, 774 }, { 163, 774 },
 { 164, 774 }, { 165, 774 }, { 166, 774 }, { 167, 774 }, { 168, 774 },
 { 169, 774 }, { 170, 774 }, { 171, 774 }, { 172, 774 }, { 173, 774 },
 { 174, 774 }, { 175, 774 }, { 176, 774 }, { 177, 774 }, { 178, 774 },
 { 179, 774 }, { 180, 774 }, { 181, 774 }, { 182, 774 }, { 183, 774 },
 { 184, 774 }, { 185, 774 }, { 186, 774 }, { 187, 774 }, { 188, 774 },

 { 189, 774 }, { 190, 774 }, { 191, 774 }, { 192, 774 }, { 193, 774 },
 { 194, 774 }, { 195, 774 }, { 196, 774 }, { 197, 774 }, { 198, 774 },
 { 199, 774 }, { 200, 774 }, { 201, 774 }, { 202, 774 }, { 203, 774 },
 { 204, 774 }, { 205, 774 }, { 206, 774 }, { 207, 774 }, { 208, 774 },
 { 209, 774 }, { 210, 774 }, { 211, 774 }, { 212, 774 }, { 213, 774 },
 { 214, 774 }, { 215, 774 }, { 216, 774 }, { 217, 774 }, { 218, 774 },
 { 219, 774 }, { 220, 774 }, { 221, 774 }, { 222, 774 }, { 223, 774 },
 { 224, 774 }, { 225, 774 }, { 226, 774 }, { 227, 774 }, { 228, 774 },
 { 229, 774 }, { 230, 774 }, { 231, 774 }, { 232, 774 }, { 233, 774 },
 { 234, 774 }, { 235, 774 }, { 236, 774 }, { 237, 774 }, { 238, 774 },

 { 239, 774 }, { 240, 774 }, { 241, 774 }, { 242, 774 }, { 243, 774 },
 { 244, 774 }, { 245, 774 }, { 246, 774 }, { 247, 774 }, { 248, 774 },
 { 249, 774 }, { 250, 774 }, { 251, 774 }, { 252, 774 }, { 253, 774 },
 { 254, 774 }, { 255, 774 }, { 256, 774 }, {   0,   0 }, {   0,5235 },
 {   1,1840 }, {   2,1840 }, {   3,1840 }, {   4,1840 }, {   5,1840 },
 {   6,1840 }, {   7,1840 }, {   8,1840 }, {   9,1840 }, {  10, 798 },
 {  11,1840 }, {  12,1840 }, {  13,1840 }, {  14,1840 }, {  15,1840 },
 {  16,1840 }, {  17,1840 }, {  18,1840 }, {  19,1840 }, {  20,1840 },
 {  21,1840 }, {  22,1840 }, {  23,1840 }, {  24,1840 }, {  25,1840 },
 {  26,1840 }, {  27,1840 }, {  28,1840 }, {  29,1840 }, {  30,1840 },

 {  31,1840 }, {  32,1840 }, {  33,1840 }, {  34,1840 }, {  35,1840 },
 {  36,1840 }, {  37,1840 }, {  38,1840 }, {  39,1840 }, {  40,1840 },
 {  41,1840 }, {  42,1840 }, {  43,1840 }, {  44,1840 }, {  45,1840 },
 {  46,1840 }, {  47,1840 }, {  48,1840 }, {  49,1840 }, {  50,1840 },
 {  51,1840 }, {  52,1840 }, {  53,1840 }, {  54,1840 }, {  55,1840 },
 {  56,1840 }, {  57,1840 }, {  58,1840 }, {  59,1840 }, {  60,1840 },
 {  61,1840 }, {  62,1840 }, {  63,1840 }, {  64,1840 }, {  65,1840 },
 {  66,1840 }, {  67,1840 }, {  68,1840 }, {  69,1840 }, {  70,1840 },
 {  71,1840 }, {  72,1840 }, {  73,1840 }, {  74,1840 }, {  75,1840 },
 {  76,1840 }, {  77,1840 }, {  78,1840 }, {  79,1840 }, {  80,1840 },

 {  81,1840 }, {  82,1840 }, {  83,1840 }, {  84,1840 }, {  85,1840 },
 {  86,1840 }, {  87,1840 }, {  88,1840 }, {  89,1840 }, {  90,1840 },
 {  91,2098 }, {  92,1840 }, {  93, 800 }, {  94,1840 }, {  95,1840 },
 {  96,1840 }, {  97,1840 }, {  98,1840 }, {  99,1840 }, { 100,1840 },
 { 101,1840 }, { 102,1840 }, { 103,1840 }, { 104,1840 }, { 105,1840 },
 { 106,1840 }, { 107,1840 }, { 108,1840 }, { 109,1840 }, { 110,1840 },
 { 111,1840 }, { 112,1840 }, { 113,1840 }, { 114,1840 }, { 115,1840 },
 { 116,1840 }, { 117,1840 }, { 118,1840 }, { 119,1840 }, { 120,1840 },
 { 121,1840 }, { 122,1840 }, { 123,1840 }, { 124,1840 }, { 125,1840 },
 { 126,1840 }, { 127,1840 }, { 128,1840 }, { 129,1840 }, { 130,1840 },

 { 131,1840 }, { 132,1840 }, { 133,1840 }, { 134,1840 }, { 135,1840 },
 { 136,1840 }, { 137,1840 }, { 138,1840 }, { 139,1840 }, { 140,1840 },
 { 141,1840 }, { 142,1840 }, { 143,1840 }, { 144,1840 }, { 145,1840 },
 { 146,1840 }, { 147,1840 }, { 148,1840 }, { 149,1840 }, { 150,1840 },
 { 151,1840 }, { 152,1840 }, { 153,1840 }, { 154,1840 }, { 155,1840 },
 { 156,1840 }, { 157,1840 }, { 158,1840 }, { 159,1840 }, { 160,1840 },
 { 161,1840 }, { 162,1840 }, { 163,1840 }, { 164,1840 }, { 165,1840 },
 { 166,1840 }, { 167,1840 }, { 168,1840 }, { 169,1840 }, { 170,1840 },
 { 171,1840 }, { 172,1840 }, { 173,1840 }, { 174,1840 }, { 175,1840 },
 { 176,1840 }, { 177,1840 }, { 178,1840 }, { 179,1840 }, { 180,1840 },

 { 181,1840 }, { 182,1840 }, { 183,1840 }, { 184,1840 }, { 185,1840 },
 { 186,1840 }, { 187,1840 }, { 188,1840 }, { 189,1840 }, { 190,1840 },
 { 191,1840 }, { 192,1840 }, { 193,1840 }, { 194,1840 }, { 195,1840 },
 { 196,1840 }, { 197,1840 }, { 198,1840 }, { 199,1840 }, { 200,1840 },
 { 201,1840 }, { 202,1840 }, { 203,1840 }, { 204,1840 }, { 205,1840 },
 { 206,1840 }, { 207,1840 }, { 208,1840 }, { 209,1840 }, { 210,1840 },
 { 211,1840 }, { 212,1840 }, { 213,1840 }, { 214,1840 }, { 215,1840 },
 { 216,1840 }, { 217,1840 }, { 218,1840 }, { 219,1840 }, { 220,1840 },
 { 221,1840 }, { 222,1840 }, { 223,1840 }, { 224,1840 }, { 225,1840 },
 { 226,1840 }, { 227,1840 }, { 228,1840 }, { 229,1840 }, { 230,1840 },

 { 231,1840 }, { 232,1840 }, { 233,1840 }, { 234,1840 }, { 235,1840 },
 { 236,1840 }, { 237,1840 }, { 238,1840 }, { 239,1840 }, { 240,1840 },
 { 241,1840 }, { 242,1840 }, { 243,1840 }, { 244,1840 }, { 245,1840 },
 { 246,1840 }, { 247,1840 }, { 248,1840 }, { 249,1840 }, { 250,1840 },
 { 251,1840 }, { 252,1840 }, { 253,1840 }, { 254,1840 }, { 255,1840 },
 { 256,1840 }, {   0,   0 }, {   0,4977 }, {   1,1582 }, {   2,1582 },
 {   3,1582 }, {   4,1582 }, {   5,1582 }, {   6,1582 }, {   7,1582 },
 {   8,1582 }, {   9,1582 }, {  10, 540 }, {  11,1582 }, {  12,1582 },
 {  13,1582 }, {  14,1582 }, {  15,1582 }, {  16,1582 }, {  17,1582 },
 {  18,1582 }, {  19,1582 }, {  20,1582 }, {  21,1582 }, {  22,1582 },

 {  23,1582 }, {  24,1582 }, {  25,1582 }, {  26,1582 }, {  27,1582 },
 {  28,1582 }, {  29,1582 }, {  30,1582 }, {  31,1582 }, {  32,1582 },
 {  33,1582 }, {  34,1582 }, {  35,1582 }, {  36,1582 }, {  37,1582 },
 {  38,1582 }, {  39,1582 }, {  40,1582 }, {  41,1582 }, {  42,1582 },
 {  43,1582 }, {  44,1582 }, {  45,1582 }, {  46,1582 }, {  47,1582 },
 {  48,1582 }, {  49,1582 }, {  50,1582 }, {  51,1582 }, {  52,1582 },
 {  53,1582 }, {  54,1582 }, {  55,1582 }, {  56,1582 }, {  57,1582 },
 {  58,1582 }, {  59,1582 }, {  60,1582 }, {  61,1582 }, {  62,1582 },
 {  63,1582 }, {  64,1582 }, {  65,1582 }, {  66,1582 }, {  67,1582 },
 {  68,1582 }, {  69,1582 }, {  70,1582 }, {  71,1582 }, {  72,1582 },

 {  73,1582 }, {  74,1582 }, {  75,1582 }, {  76,1582 }, {  77,1582 },
 {  78,1582 }, {  79,1582 }, {  80,1582 }, {  81,1582 }, {  82,1582 },
 {  83,1582 }, {  84,1582 }, {  85,1582 }, {  86,1582 }, {  87,1582 },
 {  88,1582 }, {  89,1582 }, {  90,1582 }, {  91,1840 }, {  92,1582 },
 {  93, 542 }, {  94,1582 }, {  95,1582 }, {  96,1582 }, {  97,1582 },
 {  98,1582 }, {  99,1582 }, { 100,1582 }, { 101,1582 }, { 102,1582 },
 { 103,1582 }, { 104,1582 }, { 105,1582 }, { 106,1582 }, { 107,1582 },
 { 108,1582 }, { 109,1582 }, { 110,1582 }, { 111,1582 }, { 112,1582 },
 { 113,1582 }, { 114,1582 }, { 115,1582 }, { 116,1582 }, { 117,1582 },
 { 118,1582 }, { 119,1582 }, { 120,1582 }, { 121,1582 }, { 122,1582 },

 { 123,1582 }, { 124,1582 }, { 125,1582 }, { 126,1582 }, { 127,1582 },
 { 128,1582 }, { 129,1582 }, { 130,1582 }, { 131,1582 }, { 132,1582 },
 { 133,1582 }, { 134,1582 }, { 135,1582 }, { 136,1582 }, { 137,1582 },
 { 138,1582 }, { 139,1582 }, { 140,1582 }, { 141,1582 }, { 142,1582 },
 { 143,1582 }, { 144,1582 }, { 145,1582 }, { 146,1582 }, { 147,1582 },
 { 148,1582 }, { 149,1582 }, { 150,1582 }, { 151,1582 }, { 152,1582 },
 { 153,1582 }, { 154,1582 }, { 155,1582 }, { 156,1582 }, { 157,1582 },
 { 158,1582 }, { 159,1582 }, { 160,1582 }, { 161,1582 }, { 162,1582 },
 { 163,1582 }, { 164,1582 }, { 165,1582 }, { 166,1582 }, { 167,1582 },
 { 168,1582 }, { 169,1582 }, { 170,1582 }, { 171,1582 }, { 172,1582 },

 { 173,1582 }, { 174,1582 }, { 175,1582 }, { 176,1582 }, { 177,1582 },
 { 178,1582 }, { 179,1582 }, { 180,1582 }, { 181,1582 }, { 182,1582 },
 { 183,1582 }, { 184,1582 }, { 185,1582 }, { 186,1582 }, { 187,1582 },
 { 188,1582 }, { 189,1582 }, { 190,1582 }, { 191,1582 }, { 192,1582 },
 { 193,1582 }, { 194,1582 }, { 195,1582 }, { 196,1582 }, { 197,1582 },
 { 198,1582 }, { 199,1582 }, { 200,1582 }, { 201,1582 }, { 202,1582 },
 { 203,1582 }, { 204,1582 }, { 205,1582 }, { 206,1582 }, { 207,1582 },
 { 208,1582 }, { 209,1582 }, { 210,1582 }, { 211,1582 }, { 212,1582 },
 { 213,1582 }, { 214,1582 }, { 215,1582 }, { 216,1582 }, { 217,1582 },
 { 218,1582 }, { 219,1582 }, { 220,1582 }, { 221,1582 }, { 222,1582 },

 { 223,1582 }, { 224,1582 }, { 225,1582 }, { 226,1582 }, { 227,1582 },
 { 228,1582 }, { 229,1582 }, { 230,1582 }, { 231,1582 }, { 232,1582 },
 { 233,1582 }, { 234,1582 }, { 235,1582 }, { 236,1582 }, { 237,1582 },
 { 238,1582 }, { 239,1582 }, { 240,1582 }, { 241,1582 }, { 242,1582 },
 { 243,1582 }, { 244,1582 }, { 245,1582 }, { 246,1582 }, { 247,1582 },
 { 248,1582 }, { 249,1582 }, { 250,1582 }, { 251,1582 }, { 252,1582 },
 { 253,1582 }, { 254,1582 }, { 255,1582 }, { 256,1582 }, {   0,  14 },
 {   0,4719 }, {   1,1840 }, {   2,1840 }, {   3,1840 }, {   4,1840 },
 {   5,1840 }, {   6,1840 }, {   7,1840 }, {   8,1840 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  14,1840 },

 {  15,1840 }, {  16,1840 }, {  17,1840 }, {  18,1840 }, {  19,1840 },
 {  20,1840 }, {  21,1840 }, {  22,1840 }, {  23,1840 }, {  24,1840 },
 {  25,1840 }, {  26,1840 }, {  27,1840 }, {  28,1840 }, {  29,1840 },
 {  30,1840 }, {  31,1840 }, {   0,   0 }, {  33,1840 }, {  34,1840 },
 {  35,1840 }, {  36,1840 }, {  37,1840 }, {  38,1840 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  42,1840 }, {  43,1840 }, {   0,   0 },
 {  45,1840 }, {  46,1840 }, {  47,1840 }, {  48,1840 }, {  49,1840 },
 {  50,1840 }, {  51,1840 }, {  52,1840 }, {  53,1840 }, {  54,1840 },
 {  55,1840 }, {  56,1840 }, {  57,1840 }, {   0,   0 }, {   0,   0 },
 {  60,1840 }, {  61,1840 }, {  62,1840 }, {  63,1840 }, {  64,1840 },

 {  65,1840 }, {  66,1840 }, {  67,1840 }, {  68,1840 }, {  69,1840 },
 {  70,1840 }, {  71,1840 }, {  72,1840 }, {  73,1840 }, {  74,1840 },
 {  75,1840 }, {  76,1840 }, {  77,1840 }, {  78,1840 }, {  79,1840 },
 {  80,1840 }, {  81,1840 }, {  82,1840 }, {  83,1840 }, {  84,1840 },
 {  85,1840 }, {  86,1840 }, {  87,1840 }, {  88,1840 }, {  89,1840 },
 {  90,1840 }, {   0,   0 }, {  92,1840 }, {   0,   0 }, {  94,1840 },
 {  95,1840 }, {  96,1840 }, {  97,1840 }, {  98,1840 }, {  99,1840 },
 { 100,1840 }, { 101,1840 }, { 102,1840 }, { 103,1840 }, { 104,1840 },
 { 105,1840 }, { 106,1840 }, { 107,1840 }, { 108,1840 }, { 109,1840 },
 { 110,1840 }, { 111,1840 }, { 112,1840 }, { 113,1840 }, { 114,1840 },

 { 115,1840 }, { 116,1840 }, { 117,1840 }, { 118,1840 }, { 119,1840 },
 { 120,1840 }, { 121,1840 }, { 122,1840 }, { 123,1840 }, { 124,1840 },
 { 125,1840 }, { 126,1840 }, { 127,1840 }, { 128,1840 }, { 129,1840 },
 { 130,1840 }, { 131,1840 }, { 132,1840 }, { 133,1840 }, { 134,1840 },
 { 135,1840 }, { 136,1840 }, { 137,1840 }, { 138,1840 }, { 139,1840 },
 { 140,1840 }, { 141,1840 }, { 142,1840 }, { 143,1840 }, { 144,1840 },
 { 145,1840 }, { 146,1840 }, { 147,1840 }, { 148,1840 }, { 149,1840 },
 { 150,1840 }, { 151,1840 }, { 152,1840 }, { 153,1840 }, { 154,1840 },
 { 155,1840 }, { 156,1840 }, { 157,1840 }, { 158,1840 }, { 159,1840 },
 { 160,1840 }, { 161,1840 }, { 162,1840 }, { 163,1840 }, { 164,1840 },

 { 165,1840 }, { 166,1840 }, { 167,1840 }, { 168,1840 }, { 169,1840 },
 { 170,1840 }, { 171,1840 }, { 172,1840 }, { 173,1840 }, { 174,1840 },
 { 175,1840 }, { 176,1840 }, { 177,1840 }, { 178,1840 }, { 179,1840 },
 { 180,1840 }, { 181,1840 }, { 182,1840 }, { 183,1840 }, { 184,1840 },
 { 185,1840 }, { 186,1840 }, { 187,1840 }, { 188,1840 }, { 189,1840 },
 { 190,1840 }, { 191,1840 }, { 192,1840 }, { 193,1840 }, { 194,1840 },
 { 195,1840 }, { 196,1840 }, { 197,1840 }, { 198,1840 }, { 199,1840 },
 { 200,1840 }, { 201,1840 }, { 202,1840 }, { 203,1840 }, { 204,1840 },
 { 205,1840 }, { 206,1840 }, { 207,1840 }, { 208,1840 }, { 209,1840 },
 { 210,1840 }, { 211,1840 }, { 212,1840 }, { 213,1840 }, { 214,1840 },

 { 215,1840 }, { 216,1840 }, { 217,1840 }, { 218,1840 }, { 219,1840 },
 { 220,1840 }, { 221,1840 }, { 222,1840 }, { 223,1840 }, { 224,1840 },
 { 225,1840 }, { 226,1840 }, { 227,1840 }, { 228,1840 }, { 229,1840 },
 { 230,1840 }, { 231,1840 }, { 232,1840 }, { 233,1840 }, { 234,1840 },
 { 235,1840 }, { 236,1840 }, { 237,1840 }, { 238,1840 }, { 239,1840 },
 { 240,1840 }, { 241,1840 }, { 242,1840 }, { 243,1840 }, { 244,1840 },
 { 245,1840 }, { 246,1840 }, { 247,1840 }, { 248,1840 }, { 249,1840 },
 { 250,1840 }, { 251,1840 }, { 252,1840 }, { 253,1840 }, { 254,1840 },
 { 255,1840 }, { 256,1840 }, {   0,  16 }, {   0,4461 }, {   0,   0 },
 {   0,   0 }, {   0,  17 }, {   0,4457 }, {   0,   8 }, {   0,4455 },

 {   0,   9 }, {   0,4453 }, {   9,1840 }, {   0,   0 }, {  11,1840 },
 {  12,1840 }, {  13,1840 }, {  10,1840 }, {   0,  10 }, {   0,4445 },
 {   0,  11 }, {   0,4443 }, {   0,  12 }, {   0,4441 }, {   0,  18 },
 {   0,4439 }, {   0,   6 }, {   0,4437 }, {   0,   5 }, {   0,4435 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  32,1840 }, {   0,  18 }, {   0,4427 }, {   1,1840 }, {   2,1840 },
 {   3,1840 }, {   4,1840 }, {   5,1840 }, {   6,1840 }, {   7,1840 },
 {   8,1840 }, {   9,1840 }, {  10,1840 }, {  11,1840 }, {  12,1840 },
 {  13,1840 }, {  14,1840 }, {  15,1840 }, {  16,1840 }, {  17,1840 },
 {  18,1840 }, {  19,1840 }, {  20,1840 }, {  21,1840 }, {  22,1840 },

 {  23,1840 }, {  24,1840 }, {  25,1840 }, {  26,1840 }, {  27,1840 },
 {  28,1840 }, {  29,1840 }, {  30,1840 }, {  31,1840 }, {  32,1840 },
 {  33,1840 }, {  34,1840 }, {  35,1840 }, {  36,1840 }, {  37,1840 },
 {  38,1840 }, {  39,2098 }, {  40,1840 }, {  41,1840 }, {  42,1840 },
 {  43,1840 }, {  44,1840 }, {  45,1840 }, {  46,1840 }, {  47,1840 },
 {  48,1840 }, {  49,1840 }, {  50,1840 }, {  51,1840 }, {  52,1840 },
 {  53,1840 }, {  54,1840 }, {  55,1840 }, {  56,1840 }, {  57,1840 },
 {  58,1840 }, {  59,1840 }, {  60,1840 }, {  61,1840 }, {  62,1840 },
 {  63,1840 }, {  64,1840 }, {  65,1840 }, {  66,1840 }, {  67,1840 },
 {  68,1840 }, {  69,1840 }, {  70,1840 }, {  71,1840 }, {  72,1840 },

 {  73,1840 }, {  74,1840 }, {  75,1840 }, {  76,1840 }, {  77,1840 },
 {  78,1840 }, {  79,1840 }, {  80,1840 }, {  81,1840 }, {  82,1840 },
 {  83,1840 }, {  84,1840 }, {  85,1840 }, {  86,1840 }, {  87,1840 },
 {  88,1840 }, {  89,1840 }, {  90,1840 }, {  91,1840 }, {  92,1840 },
 {  93,1840 }, {  94,1840 }, {  95,1840 }, {  96,1840 }, {  97,1840 },
 {  98,1840 }, {  99,1840 }, { 100,1840 }, { 101,1840 }, { 102,1840 },
 { 103,1840 }, { 104,1840 }, { 105,1840 }, { 106,1840 }, { 107,1840 },
 { 108,1840 }, { 109,1840 }, { 110,1840 }, { 111,1840 }, { 112,1840 },
 { 113,1840 }, { 114,1840 }, { 115,1840 }, { 116,1840 }, { 117,1840 },
 { 118,1840 }, { 119,1840 }, { 120,1840 }, { 121,1840 }, { 122,1840 },

 { 123,1840 }, { 124,1840 }, { 125,1840 }, { 126,1840 }, { 127,1840 },
 { 128,1840 }, { 129,1840 }, { 130,1840 }, { 131,1840 }, { 132,1840 },
 { 133,1840 }, { 134,1840 }, { 135,1840 }, { 136,1840 }, { 137,1840 },
 { 138,1840 }, { 139,1840 }, { 140,1840 }, { 141,1840 }, { 142,1840 },
 { 143,1840 }, { 144,1840 }, { 145,1840 }, { 146,1840 }, { 147,1840 },
 { 148,1840 }, { 149,1840 }, { 150,1840 }, { 151,1840 }, { 152,1840 },
 { 153,1840 }, { 154,1840 }, { 155,1840 }, { 156,1840 }, { 157,1840 },
 { 158,1840 }, { 159,1840 }, { 160,1840 }, { 161,1840 }, { 162,1840 },
 { 163,1840 }, { 164,1840 }, { 165,1840 }, { 166,1840 }, { 167,1840 },
 { 168,1840 }, { 169,1840 }, { 170,1840 }, { 171,1840 }, { 172,1840 },

 { 173,1840 }, { 174,1840 }, { 175,1840 }, { 176,1840 }, { 177,1840 },
 { 178,1840 }, { 179,1840 }, { 180,1840 }, { 181,1840 }, { 182,1840 },
 { 183,1840 }, { 184,1840 }, { 185,1840 }, { 186,1840 }, { 187,1840 },
 { 188,1840 }, { 189,1840 }, { 190,1840 }, { 191,1840 }, { 192,1840 },
 { 193,1840 }, { 194,1840 }, { 195,1840 }, { 196,1840 }, { 197,1840 },
 { 198,1840 }, { 199,1840 }, { 200,1840 }, { 201,1840 }, { 202,1840 },
 { 203,1840 }, { 204,1840 }, { 205,1840 }, { 206,1840 }, { 207,1840 },
 { 208,1840 }, { 209,1840 }, { 210,1840 }, { 211,1840 }, { 212,1840 },
 { 213,1840 }, { 214,1840 }, { 215,1840 }, { 216,1840 }, { 217,1840 },
 { 218,1840 }, { 219,1840 }, { 220,1840 }, { 221,1840 }, { 222,1840 },

 { 223,1840 }, { 224,1840 }, { 225,1840 }, { 226,1840 }, { 227,1840 },
 { 228,1840 }, { 229,1840 }, { 230,1840 }, { 231,1840 }, { 232,1840 },
 { 233,1840 }, { 234,1840 }, { 235,1840 }, { 236,1840 }, { 237,1840 },
 { 238,1840 }, { 239,1840 }, { 240,1840 }, { 241,1840 }, { 242,1840 },
 { 243,1840 }, { 244,1840 }, { 245,1840 }, { 246,1840 }, { 247,1840 },
 { 248,1840 }, { 249,1840 }, { 250,1840 }, { 251,1840 }, { 252,1840 },
 { 253,1840 }, { 254,1840 }, { 255,1840 }, { 256,1840 }, {   0,  14 },
 {   0,4169 }, {   1,1290 }, {   2,1290 }, {   3,1290 }, {   4,1290 },
 {   5,1290 }, {   6,1290 }, {   7,1290 }, {   8,1290 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  14,1290 },

 {  15,1290 }, {  16,1290 }, {  17,1290 }, {  18,1290 }, {  19,1290 },
 {  20,1290 }, {  21,1290 }, {  22,1290 }, {  23,1290 }, {  24,1290 },
 {  25,1290 }, {  26,1290 }, {  27,1290 }, {  28,1290 }, {  29,1290 },
 {  30,1290 }, {  31,1290 }, {   0,   0 }, {  33,1290 }, {  34,1290 },
 {  35,1290 }, {  36,1290 }, {  37,1290 }, {  38,1290 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  42,1290 }, {  43,1290 }, {   0,   0 },
 {  45,1290 }, {  46,1290 }, {  47,1290 }, {  48,1847 }, {  49,1847 },
 {  50,1847 }, {  51,1847 }, {  52,1847 }, {  53,1847 }, {  54,1847 },
 {  55,1847 }, {  56,1847 }, {  57,1847 }, {   0,   0 }, {   0,   0 },
 {  60,1290 }, {  61,1290 }, {  62,1290 }, {  63,1290 }, {  64,1290 },

 {  65,1290 }, {  66,1290 }, {  67,1290 }, {  68,1290 }, {  69,1290 },
 {  70,1290 }, {  71,1290 }, {  72,1290 }, {  73,1290 }, {  74,1290 },
 {  75,1290 }, {  76,1290 }, {  77,1290 }, {  78,1290 }, {  79,1290 },
 {  80,1290 }, {  81,1290 }, {  82,1290 }, {  83,1290 }, {  84,1290 },
 {  85,1290 }, {  86,1290 }, {  87,1290 }, {  88,1290 }, {  89,1290 },
 {  90,1290 }, {   0,   0 }, {  92,1290 }, {   0,   0 }, {  94,1290 },
 {  95,1290 }, {  96,1290 }, {  97,1290 }, {  98,1290 }, {  99,1290 },
 { 100,1290 }, { 101,1290 }, { 102,1290 }, { 103,1290 }, { 104,1290 },
 { 105,1290 }, { 106,1290 }, { 107,1290 }, { 108,1290 }, { 109,1290 },
 { 110,1290 }, { 111,1290 }, { 112,1290 }, { 113,1290 }, { 114,1290 },

 { 115,1290 }, { 116,1290 }, { 117,1290 }, { 118,1290 }, { 119,1290 },
 { 120,1290 }, { 121,1290 }, { 122,1290 }, { 123,1290 }, { 124,1290 },
 { 125,1290 }, { 126,1290 }, { 127,1290 }, { 128,1290 }, { 129,1290 },
 { 130,1290 }, { 131,1290 }, { 132,1290 }, { 133,1290 }, { 134,1290 },
 { 135,1290 }, { 136,1290 }, { 137,1290 }, { 138,1290 }, { 139,1290 },
 { 140,1290 }, { 141,1290 }, { 142,1290 }, { 143,1290 }, { 144,1290 },
 { 145,1290 }, { 146,1290 }, { 147,1290 }, { 148,1290 }, { 149,1290 },
 { 150,1290 }, { 151,1290 }, { 152,1290 }, { 153,1290 }, { 154,1290 },
 { 155,1290 }, { 156,1290 }, { 157,1290 }, { 158,1290 }, { 159,1290 },
 { 160,1290 }, { 161,1290 }, { 162,1290 }, { 163,1290 }, { 164,1290 },

 { 165,1290 }, { 166,1290 }, { 167,1290 }, { 168,1290 }, { 169,1290 },
 { 170,1290 }, { 171,1290 }, { 172,1290 }, { 173,1290 }, { 174,1290 },
 { 175,1290 }, { 176,1290 }, { 177,1290 }, { 178,1290 }, { 179,1290 },
 { 180,1290 }, { 181,1290 }, { 182,1290 }, { 183,1290 }, { 184,1290 },
 { 185,1290 }, { 186,1290 }, { 187,1290 }, { 188,1290 }, { 189,1290 },
 { 190,1290 }, { 191,1290 }, { 192,1290 }, { 193,1290 }, { 194,1290 },
 { 195,1290 }, { 196,1290 }, { 197,1290 }, { 198,1290 }, { 199,1290 },
 { 200,1290 }, { 201,1290 }, { 202,1290 }, { 203,1290 }, { 204,1290 },
 { 205,1290 }, { 206,1290 }, { 207,1290 }, { 208,1290 }, { 209,1290 },
 { 210,1290 }, { 211,1290 }, { 212,1290 }, { 213,1290 }, { 214,1290 },

 { 215,1290 }, { 216,1290 }, { 217,1290 }, { 218,1290 }, { 219,1290 },
 { 220,1290 }, { 221,1290 }, { 222,1290 }, { 223,1290 }, { 224,1290 },
 { 225,1290 }, { 226,1290 }, { 227,1290 }, { 228,1290 }, { 229,1290 },
 { 230,1290 }, { 231,1290 }, { 232,1290 }, { 233,1290 }, { 234,1290 },
 { 235,1290 }, { 236,1290 }, { 237,1290 }, { 238,1290 }, { 239,1290 },
 { 240,1290 }, { 241,1290 }, { 242,1290 }, { 243,1290 }, { 244,1290 },
 { 245,1290 }, { 246,1290 }, { 247,1290 }, { 248,1290 }, { 249,1290 },
 { 250,1290 }, { 251,1290 }, { 252,1290 }, { 253,1290 }, { 254,1290 },
 { 255,1290 }, { 256,1290 }, {   0,  13 }, {   0,3911 }, {   1,1032 },
 {   2,1032 }, {   3,1032 }, {   4,1032 }, {   5,1032 }, {   6,1032 },

 {   7,1032 }, {   8,1032 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  14,1032 }, {  15,1032 }, {  16,1032 },
 {  17,1032 }, {  18,1032 }, {  19,1032 }, {  20,1032 }, {  21,1032 },
 {  22,1032 }, {  23,1032 }, {  24,1032 }, {  25,1032 }, {  26,1032 },
 {  27,1032 }, {  28,1032 }, {  29,1032 }, {  30,1032 }, {  31,1032 },
 {   0,   0 }, {  33,1032 }, {  34,1032 }, {  35,1032 }, {  36,1032 },
 {  37,1032 }, {  38,1032 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  42,1032 }, {  43,1032 }, {   0,   0 }, {  45,1032 }, {  46,1847 },
 {  47,1032 }, {  48,1589 }, {  49,1589 }, {  50,1589 }, {  51,1589 },
 {  52,1589 }, {  53,1589 }, {  54,1589 }, {  55,1589 }, {  56,1589 },

 {  57,1589 }, {   0,   0 }, {   0,   0 }, {  60,1032 }, {  61,1032 },
 {  62,1032 }, {  63,1032 }, {  64,1032 }, {  65,1032 }, {  66,1032 },
 {  67,1032 }, {  68,1032 }, {  69,2105 }, {  70,1032 }, {  71,1032 },
 {  72,1032 }, {  73,1032 }, {  74,1032 }, {  75,1032 }, {  76,1032 },
 {  77,1032 }, {  78,1032 }, {  79,1032 }, {  80,1032 }, {  81,1032 },
 {  82,1032 }, {  83,1032 }, {  84,1032 }, {  85,1032 }, {  86,1032 },
 {  87,1032 }, {  88,1032 }, {  89,1032 }, {  90,1032 }, {   0,   0 },
 {  92,1032 }, {   0,   0 }, {  94,1032 }, {  95,1032 }, {  96,1032 },
 {  97,1032 }, {  98,1032 }, {  99,1032 }, { 100,1032 }, { 101,2105 },
 { 102,1032 }, { 103,1032 }, { 104,1032 }, { 105,1032 }, { 106,1032 },

 { 107,1032 }, { 108,1032 }, { 109,1032 }, { 110,1032 }, { 111,1032 },
 { 112,1032 }, { 113,1032 }, { 114,1032 }, { 115,1032 }, { 116,1032 },
 { 117,1032 }, { 118,1032 }, { 119,1032 }, { 120,1032 }, { 121,1032 },
 { 122,1032 }, { 123,1032 }, { 124,1032 }, { 125,1032 }, { 126,1032 },
 { 127,1032 }, { 128,1032 }, { 129,1032 }, { 130,1032 }, { 131,1032 },
 { 132,1032 }, { 133,1032 }, { 134,1032 }, { 135,1032 }, { 136,1032 },
 { 137,1032 }, { 138,1032 }, { 139,1032 }, { 140,1032 }, { 141,1032 },
 { 142,1032 }, { 143,1032 }, { 144,1032 }, { 145,1032 }, { 146,1032 },
 { 147,1032 }, { 148,1032 }, { 149,1032 }, { 150,1032 }, { 151,1032 },
 { 152,1032 }, { 153,1032 }, { 154,1032 }, { 155,1032 }, { 156,1032 },

 { 157,1032 }, { 158,1032 }, { 159,1032 }, { 160,1032 }, { 161,1032 },
 { 162,1032 }, { 163,1032 }, { 164,1032 }, { 165,1032 }, { 166,1032 },
 { 167,1032 }, { 168,1032 }, { 169,1032 }, { 170,1032 }, { 171,1032 },
 { 172,1032 }, { 173,1032 }, { 174,1032 }, { 175,1032 }, { 176,1032 },
 { 177,1032 }, { 178,1032 }, { 179,1032 }, { 180,1032 }, { 181,1032 },
 { 182,1032 }, { 183,1032 }, { 184,1032 }, { 185,1032 }, { 186,1032 },
 { 187,1032 }, { 188,1032 }, { 189,1032 }, { 190,1032 }, { 191,1032 },
 { 192,1032 }, { 193,1032 }, { 194,1032 }, { 195,1032 }, { 196,1032 },
 { 197,1032 }, { 198,1032 }, { 199,1032 }, { 200,1032 }, { 201,1032 },
 { 202,1032 }, { 203,1032 }, { 204,1032 }, { 205,1032 }, { 206,1032 },

 { 207,1032 }, { 208,1032 }, { 209,1032 }, { 210,1032 }, { 211,1032 },
 { 212,1032 }, { 213,1032 }, { 214,1032 }, { 215,1032 }, { 216,1032 },
 { 217,1032 }, { 218,1032 }, { 219,1032 }, { 220,1032 }, { 221,1032 },
 { 222,1032 }, { 223,1032 }, { 224,1032 }, { 225,1032 }, { 226,1032 },
 { 227,1032 }, { 228,1032 }, { 229,1032 }, { 230,1032 }, { 231,1032 },
 { 232,1032 }, { 233,1032 }, { 234,1032 }, { 235,1032 }, { 236,1032 },
 { 237,1032 }, { 238,1032 }, { 239,1032 }, { 240,1032 }, { 241,1032 },
 { 242,1032 }, { 243,1032 }, { 244,1032 }, { 245,1032 }, { 246,1032 },
 { 247,1032 }, { 248,1032 }, { 249,1032 }, { 250,1032 }, { 251,1032 },
 { 252,1032 }, { 253,1032 }, { 254,1032 }, { 255,1032 }, { 256,1032 },

 {   0,  18 }, {   0,3653 }, {   1,2105 }, {   2,2105 }, {   3,2105 },
 {   4,2105 }, {   5,2105 }, {   6,2105 }, {   7,2105 }, {   8,2105 },
 {   9,2105 }, {   0,   0 }, {  11,2105 }, {  12,2105 }, {  13,2105 },
 {  14,2105 }, {  15,2105 }, {  16,2105 }, {  17,2105 }, {  18,2105 },
 {  19,2105 }, {  20,2105 }, {  21,2105 }, {  22,2105 }, {  23,2105 },
 {  24,2105 }, {  25,2105 }, {  26,2105 }, {  27,2105 }, {  28,2105 },
 {  29,2105 }, {  30,2105 }, {  31,2105 }, {  32,2105 }, {  33,2105 },
 {  34,2105 }, {  35,2105 }, {  36,2105 }, {  37,2105 }, {  38,2105 },
 {  39,2105 }, {  40,2105 }, {  41,2105 }, {  42,2105 }, {  43,2105 },
 {  44,2105 }, {  45,2105 }, {  46,2105 }, {  47,2105 }, {  48,2105 },

 {  49,2105 }, {  50,2105 }, {  51,2105 }, {  52,2105 }, {  53,2105 },
 {  54,2105 }, {  55,2105 }, {  56,2105 }, {  57,2105 }, {  58,2105 },
 {  59,2105 }, {  60,2105 }, {  61,2105 }, {  62,2105 }, {  63,2105 },
 {  64,2105 }, {  65,2105 }, {  66,2105 }, {  67,2105 }, {  68,2105 },
 {  69,2105 }, {  70,2105 }, {  71,2105 }, {  72,2105 }, {  73,2105 },
 {  74,2105 }, {  75,2105 }, {  76,2105 }, {  77,2105 }, {  78,2105 },
 {  79,2105 }, {  80,2105 }, {  81,2105 }, {  82,2105 }, {  83,2105 },
 {  84,2105 }, {  85,2105 }, {  86,2105 }, {  87,2105 }, {  88,2105 },
 {  89,2105 }, {  90,2105 }, {  91,1326 }, {  92,2105 }, {  93,1328 },
 {  94,2105 }, {  95,2105 }, {  96,2105 }, {  97,2105 }, {  98,2105 },

 {  99,2105 }, { 100,2105 }, { 101,2105 }, { 102,2105 }, { 103,2105 },
 { 104,2105 }, { 105,2105 }, { 106,2105 }, { 107,2105 }, { 108,2105 },
 { 109,2105 }, { 110,2105 }, { 111,2105 }, { 112,2105 }, { 113,2105 },
 { 114,2105 }, { 115,2105 }, { 116,2105 }, { 117,2105 }, { 118,2105 },
 { 119,2105 }, { 120,2105 }, { 121,2105 }, { 122,2105 }, { 123,2105 },
 { 124,2105 }, { 125,2105 }, { 126,2105 }, { 127,2105 }, { 128,2105 },
 { 129,2105 }, { 130,2105 }, { 131,2105 }, { 132,2105 }, { 133,2105 },
 { 134,2105 }, { 135,2105 }, { 136,2105 }, { 137,2105 }, { 138,2105 },
 { 139,2105 }, { 140,2105 }, { 141,2105 }, { 142,2105 }, { 143,2105 },
 { 144,2105 }, { 145,2105 }, { 146,2105 }, { 147,2105 }, { 148,2105 },

 { 149,2105 }, { 150,2105 }, { 151,2105 }, { 152,2105 }, { 153,2105 },
 { 154,2105 }, { 155,2105 }, { 156,2105 }, { 157,2105 }, { 158,2105 },
 { 159,2105 }, { 160,2105 }, { 161,2105 }, { 162,2105 }, { 163,2105 },
 { 164,2105 }, { 165,2105 }, { 166,2105 }, { 167,2105 }, { 168,2105 },
 { 169,2105 }, { 170,2105 }, { 171,2105 }, { 172,2105 }, { 173,2105 },
 { 174,2105 }, { 175,2105 }, { 176,2105 }, { 177,2105 }, { 178,2105 },
 { 179,2105 }, { 180,2105 }, { 181,2105 }, { 182,2105 }, { 183,2105 },
 { 184,2105 }, { 185,2105 }, { 186,2105 }, { 187,2105 }, { 188,2105 },
 { 189,2105 }, { 190,2105 }, { 191,2105 }, { 192,2105 }, { 193,2105 },
 { 194,2105 }, { 195,2105 }, { 196,2105 }, { 197,2105 }, { 198,2105 },

 { 199,2105 }, { 200,2105 }, { 201,2105 }, { 202,2105 }, { 203,2105 },
 { 204,2105 }, { 205,2105 }, { 206,2105 }, { 207,2105 }, { 208,2105 },
 { 209,2105 }, { 210,2105 }, { 211,2105 }, { 212,2105 }, { 213,2105 },
 { 214,2105 }, { 215,2105 }, { 216,2105 }, { 217,2105 }, { 218,2105 },
 { 219,2105 }, { 220,2105 }, { 221,2105 }, { 222,2105 }, { 223,2105 },
 { 224,2105 }, { 225,2105 }, { 226,2105 }, { 227,2105 }, { 228,2105 },
 { 229,2105 }, { 230,2105 }, { 231,2105 }, { 232,2105 }, { 233,2105 },
 { 234,2105 }, { 235,2105 }, { 236,2105 }, { 237,2105 }, { 238,2105 },
 { 239,2105 }, { 240,2105 }, { 241,2105 }, { 242,2105 }, { 243,2105 },
 { 244,2105 }, { 245,2105 }, { 246,2105 }, { 247,2105 }, { 248,2105 },

 { 249,2105 }, { 250,2105 }, { 251,2105 }, { 252,2105 }, { 253,2105 },
 { 254,2105 }, { 255,2105 }, { 256,2105 }, {   0,   7 }, {   0,3395 },
 {   1,2105 }, {   2,2105 }, {   3,2105 }, {   4,2105 }, {   5,2105 },
 {   6,2105 }, {   7,2105 }, {   8,2105 }, {   9,2105 }, {   0,   0 },
 {  11,2105 }, {  12,2105 }, {  13,2105 }, {  14,2105 }, {  15,2105 },
 {  16,2105 }, {  17,2105 }, {  18,2105 }, {  19,2105 }, {  20,2105 },
 {  21,2105 }, {  22,2105 }, {  23,2105 }, {  24,2105 }, {  25,2105 },
 {  26,2105 }, {  27,2105 }, {  28,2105 }, {  29,2105 }, {  30,2105 },
 {  31,2105 }, {  32,2105 }, {  33,2105 }, {  34,2105 }, {  35,2105 },
 {  36,2105 }, {  37,2105 }, {  38,2105 }, {  39,2105 }, {  40,2105 },

 {  41,2105 }, {  42,2105 }, {  43,2105 }, {  44,2105 }, {  45,2105 },
 {  46,2105 }, {  47,2105 }, {  48,2105 }, {  49,2105 }, {  50,2105 },
 {  51,2105 }, {  52,2105 }, {  53,2105 }, {  54,2105 }, {  55,2105 },
 {  56,2105 }, {  57,2105 }, {  58,2105 }, {  59,2105 }, {  60,2105 },
 {  61,2105 }, {  62,2105 }, {  63,2105 }, {  64,2105 }, {  65,2105 },
 {  66,2105 }, {  67,2105 }, {  68,2105 }, {  69,2105 }, {  70,2105 },
 {  71,2105 }, {  72,2105 }, {  73,2105 }, {  74,2105 }, {  75,2105 },
 {  76,2105 }, {  77,2105 }, {  78,2105 }, {  79,2105 }, {  80,2105 },
 {  81,2105 }, {  82,2105 }, {  83,2105 }, {  84,2105 }, {  85,2105 },
 {  86,2105 }, {  87,2105 }, {  88,2105 }, {  89,2105 }, {  90,2105 },

 {   0,   0 }, {  92,2105 }, {   0,   0 }, {  94,2105 }, {  95,2105 },
 {  96,2105 }, {  97,2105 }, {  98,2105 }, {  99,2105 }, { 100,2105 },
 { 101,2105 }, { 102,2105 }, { 103,2105 }, { 104,2105 }, { 105,2105 },
 { 106,2105 }, { 107,2105 }, { 108,2105 }, { 109,2105 }, { 110,2105 },
 { 111,2105 }, { 112,2105 }, { 113,2105 }, { 114,2105 }, { 115,2105 },
 { 116,2105 }, { 117,2105 }, { 118,2105 }, { 119,2105 }, { 120,2105 },
 { 121,2105 }, { 122,2105 }, { 123,2105 }, { 124,2105 }, { 125,2105 },
 { 126,2105 }, { 127,2105 }, { 128,2105 }, { 129,2105 }, { 130,2105 },
 { 131,2105 }, { 132,2105 }, { 133,2105 }, { 134,2105 }, { 135,2105 },
 { 136,2105 }, { 137,2105 }, { 138,2105 }, { 139,2105 }, { 140,2105 },

 { 141,2105 }, { 142,2105 }, { 143,2105 }, { 144,2105 }, { 145,2105 },
 { 146,2105 }, { 147,2105 }, { 148,2105 }, { 149,2105 }, { 150,2105 },
 { 151,2105 }, { 152,2105 }, { 153,2105 }, { 154,2105 }, { 155,2105 },
 { 156,2105 }, { 157,2105 }, { 158,2105 }, { 159,2105 }, { 160,2105 },
 { 161,2105 }, { 162,2105 }, { 163,2105 }, { 164,2105 }, { 165,2105 },
 { 166,2105 }, { 167,2105 }, { 168,2105 }, { 169,2105 }, { 170,2105 },
 { 171,2105 }, { 172,2105 }, { 173,2105 }, { 174,2105 }, { 175,2105 },
 { 176,2105 }, { 177,2105 }, { 178,2105 }, { 179,2105 }, { 180,2105 },
 { 181,2105 }, { 182,2105 }, { 183,2105 }, { 184,2105 }, { 185,2105 },
 { 186,2105 }, { 187,2105 }, { 188,2105 }, { 189,2105 }, { 190,2105 },

 { 191,2105 }, { 192,2105 }, { 193,2105 }, { 194,2105 }, { 195,2105 },
 { 196,2105 }, { 197,2105 }, { 198,2105 }, { 199,2105 }, { 200,2105 },
 { 201,2105 }, { 202,2105 }, { 203,2105 }, { 204,2105 }, { 205,2105 },
 { 206,2105 }, { 207,2105 }, { 208,2105 }, { 209,2105 }, { 210,2105 },
 { 211,2105 }, { 212,2105 }, { 213,2105 }, { 214,2105 }, { 215,2105 },
 { 216,2105 }, { 217,2105 }, { 218,2105 }, { 219,2105 }, { 220,2105 },
 { 221,2105 }, { 222,2105 }, { 223,2105 }, { 224,2105 }, { 225,2105 },
 { 226,2105 }, { 227,2105 }, { 228,2105 }, { 229,2105 }, { 230,2105 },
 { 231,2105 }, { 232,2105 }, { 233,2105 }, { 234,2105 }, { 235,2105 },
 { 236,2105 }, { 237,2105 }, { 238,2105 }, { 239,2105 }, { 240,2105 },

 { 241,2105 }, { 242,2105 }, { 243,2105 }, { 244,2105 }, { 245,2105 },
 { 246,2105 }, { 247,2105 }, { 248,2105 }, { 249,2105 }, { 250,2105 },
 { 251,2105 }, { 252,2105 }, { 253,2105 }, { 254,2105 }, { 255,2105 },
 { 256,2105 }, {   0,   4 }, {   0,3137 }, {   1,2105 }, {   2,2105 },
 {   3,2105 }, {   4,2105 }, {   5,2105 }, {   6,2105 }, {   7,2105 },
 {   8,2105 }, {   9,2105 }, {  10, 825 }, {  11,2105 }, {  12,2105 },
 {  13,2105 }, {  14,2105 }, {  15,2105 }, {  16,2105 }, {  17,2105 },
 {  18,2105 }, {  19,2105 }, {  20,2105 }, {  21,2105 }, {  22,2105 },
 {  23,2105 }, {  24,2105 }, {  25,2105 }, {  26,2105 }, {  27,2105 },
 {  28,2105 }, {  29,2105 }, {  30,2105 }, {  31,2105 }, {  32,2105 },

 {  33,2105 }, {  34,2105 }, {  35,2105 }, {  36,2105 }, {  37,2105 },
 {  38,2105 }, {  39,2105 }, {  40,2105 }, {  41,2105 }, {  42,2105 },
 {  43,2105 }, {  44,2105 }, {  45,2105 }, {  46,2105 }, {  47,2105 },
 {  48,2105 }, {  49,2105 }, {  50,2105 }, {  51,2105 }, {  52,2105 },
 {  53,2105 }, {  54,2105 }, {  55,2105 }, {  56,2105 }, {  57,2105 },
 {  58,2105 }, {  59,2105 }, {  60,2105 }, {  61,2105 }, {  62,2105 },
 {  63,2105 }, {  64,2105 }, {  65,2105 }, {  66,2105 }, {  67,2105 },
 {  68,2105 }, {  69,2105 }, {  70,2105 }, {  71,2105 }, {  72,2105 },
 {  73,2105 }, {  74,2105 }, {  75,2105 }, {  76,2105 }, {  77,2105 },
 {  78,2105 }, {  79,2105 }, {  80,2105 }, {  81,2105 }, {  82,2105 },

 {  83,2105 }, {  84,2105 }, {  85,2105 }, {  86,2105 }, {  87,2105 },
 {  88,2105 }, {  89,2105 }, {  90,2105 }, {   0,   0 }, {  92,2105 },
 {   0,   0 }, {  94,2105 }, {  95,2105 }, {  96,2105 }, {  97,2105 },
 {  98,2105 }, {  99,2105 }, { 100,2105 }, { 101,2105 }, { 102,2105 },
 { 103,2105 }, { 104,2105 }, { 105,2105 }, { 106,2105 }, { 107,2105 },
 { 108,2105 }, { 109,2105 }, { 110,2105 }, { 111,2105 }, { 112,2105 },
 { 113,2105 }, { 114,2105 }, { 115,2105 }, { 116,2105 }, { 117,2105 },
 { 118,2105 }, { 119,2105 }, { 120,2105 }, { 121,2105 }, { 122,2105 },
 { 123,2105 }, { 124,2105 }, { 125,2105 }, { 126,2105 }, { 127,2105 },
 { 128,2105 }, { 129,2105 }, { 130,2105 }, { 131,2105 }, { 132,2105 },

 { 133,2105 }, { 134,2105 }, { 135,2105 }, { 136,2105 }, { 137,2105 },
 { 138,2105 }, { 139,2105 }, { 140,2105 }, { 141,2105 }, { 142,2105 },
 { 143,2105 }, { 144,2105 }, { 145,2105 }, { 146,2105 }, { 147,2105 },
 { 148,2105 }, { 149,2105 }, { 150,2105 }, { 151,2105 }, { 152,2105 },
 { 153,2105 }, { 154,2105 }, { 155,2105 }, { 156,2105 }, { 157,2105 },
 { 158,2105 }, { 159,2105 }, { 160,2105 }, { 161,2105 }, { 162,2105 },
 { 163,2105 }, { 164,2105 }, { 165,2105 }, { 166,2105 }, { 167,2105 },
 { 168,2105 }, { 169,2105 }, { 170,2105 }, { 171,2105 }, { 172,2105 },
 { 173,2105 }, { 174,2105 }, { 175,2105 }, { 176,2105 }, { 177,2105 },
 { 178,2105 }, { 179,2105 }, { 180,2105 }, { 181,2105 }, { 182,2105 },

 { 183,2105 }, { 184,2105 }, { 185,2105 }, { 186,2105 }, { 187,2105 },
 { 188,2105 }, { 189,2105 }, { 190,2105 }, { 191,2105 }, { 192,2105 },
 { 193,2105 }, { 194,2105 }, { 195,2105 }, { 196,2105 }, { 197,2105 },
 { 198,2105 }, { 199,2105 }, { 200,2105 }, { 201,2105 }, { 202,2105 },
 { 203,2105 }, { 204,2105 }, { 205,2105 }, { 206,2105 }, { 207,2105 },
 { 208,2105 }, { 209,2105 }, { 210,2105 }, { 211,2105 }, { 212,2105 },
 { 213,2105 }, { 214,2105 }, { 215,2105 }, { 216,2105 }, { 217,2105 },
 { 218,2105 }, { 219,2105 }, { 220,2105 }, { 221,2105 }, { 222,2105 },
 { 223,2105 }, { 224,2105 }, { 225,2105 }, { 226,2105 }, { 227,2105 },
 { 228,2105 }, { 229,2105 }, { 230,2105 }, { 231,2105 }, { 232,2105 },

 { 233,2105 }, { 234,2105 }, { 235,2105 }, { 236,2105 }, { 237,2105 },
 { 238,2105 }, { 239,2105 }, { 240,2105 }, { 241,2105 }, { 242,2105 },
 { 243,2105 }, { 244,2105 }, { 245,2105 }, { 246,2105 }, { 247,2105 },
 { 248,2105 }, { 249,2105 }, { 250,2105 }, { 251,2105 }, { 252,2105 },
 { 253,2105 }, { 254,2105 }, { 255,2105 }, { 256,2105 }, {   0,  14 },
 {   0,2879 }, {   1,   0 }, {   2,   0 }, {   3,   0 }, {   4,   0 },
 {   5,   0 }, {   6,   0 }, {   7,   0 }, {   8,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  14,   0 },
 {  15,   0 }, {  16,   0 }, {  17,   0 }, {  18,   0 }, {  19,   0 },
 {  20,   0 }, {  21,   0 }, {  22,   0 }, {  23,   0 }, {  24,   0 },

 {  25,   0 }, {  26,   0 }, {  27,   0 }, {  28,   0 }, {  29,   0 },
 {  30,   0 }, {  31,   0 }, {   0,   0 }, {  33,   0 }, {  34,   0 },
 {  35,   0 }, {  36,   0 }, {  37,   0 }, {  38,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  42,   0 }, {  43,   0 }, {   0,   0 },
 {  45,   0 }, {  46,   0 }, {  47,   0 }, {  48,   0 }, {  49,   0 },
 {  50,   0 }, {  51,   0 }, {  52,   0 }, {  53,   0 }, {  54,   0 },
 {  55,   0 }, {  56,   0 }, {  57,   0 }, {   0,   0 }, {   0,   0 },
 {  60,   0 }, {  61,   0 }, {  62,   0 }, {  63,   0 }, {  64,   0 },
 {  65,   0 }, {  66,   0 }, {  67,   0 }, {  68,   0 }, {  69,   0 },
 {  70,   0 }, {  71,   0 }, {  72,   0 }, {  73,   0 }, {  74,   0 },

 {  75,   0 }, {  76,   0 }, {  77,   0 }, {  78,   0 }, {  79,   0 },
 {  80,   0 }, {  81,   0 }, {  82,   0 }, {  83,   0 }, {  84,   0 },
 {  85,   0 }, {  86,   0 }, {  87,   0 }, {  88,   0 }, {  89,   0 },
 {  90,   0 }, {   0,   0 }, {  92,   0 }, {   0,   0 }, {  94,   0 },
 {  95,   0 }, {  96,   0 }, {  97,   0 }, {  98,   0 }, {  99,   0 },
 { 100,   0 }, { 101,   0 }, { 102,   0 }, { 103,   0 }, { 104,   0 },
 { 105,   0 }, { 106,   0 }, { 107,   0 }, { 108,   0 }, { 109,   0 },
 { 110,   0 }, { 111,   0 }, { 112,   0 }, { 113,   0 }, { 114,   0 },
 { 115,   0 }, { 116,   0 }, { 117,   0 }, { 118,   0 }, { 119,   0 },
 { 120,   0 }, { 121,   0 }, { 122,   0 }, { 123,   0 }, { 124,   0 },

 { 125,   0 }, { 126,   0 }, { 127,   0 }, { 128,   0 }, { 129,   0 },
 { 130,   0 }, { 131,   0 }, { 132,   0 }, { 133,   0 }, { 134,   0 },
 { 135,   0 }, { 136,   0 }, { 137,   0 }, { 138,   0 }, { 139,   0 },
 { 140,   0 }, { 141,   0 }, { 142,   0 }, { 143,   0 }, { 144,   0 },
 { 145,   0 }, { 146,   0 }, { 147,   0 }, { 148,   0 }, { 149,   0 },
 { 150,   0 }, { 151,   0 }, { 152,   0 }, { 153,   0 }, { 154,   0 },
 { 155,   0 }, { 156,   0 }, { 157,   0 }, { 158,   0 }, { 159,   0 },
 { 160,   0 }, { 161,   0 }, { 162,   0 }, { 163,   0 }, { 164,   0 },
 { 165,   0 }, { 166,   0 }, { 167,   0 }, { 168,   0 }, { 169,   0 },
 { 170,   0 }, { 171,   0 }, { 172,   0 }, { 173,   0 }, { 174,   0 },

 { 175,   0 }, { 176,   0 }, { 177,   0 }, { 178,   0 }, { 179,   0 },
 { 180,   0 }, { 181,   0 }, { 182,   0 }, { 183,   0 }, { 184,   0 },
 { 185,   0 }, { 186,   0 }, { 187,   0 }, { 188,   0 }, { 189,   0 },
 { 190,   0 }, { 191,   0 }, { 192,   0 }, { 193,   0 }, { 194,   0 },
 { 195,   0 }, { 196,   0 }, { 197,   0 }, { 198,   0 }, { 199,   0 },
 { 200,   0 }, { 201,   0 }, { 202,   0 }, { 203,   0 }, { 204,   0 },
 { 205,   0 }, { 206,   0 }, { 207,   0 }, { 208,   0 }, { 209,   0 },
 { 210,   0 }, { 211,   0 }, { 212,   0 }, { 213,   0 }, { 214,   0 },
 { 215,   0 }, { 216,   0 }, { 217,   0 }, { 218,   0 }, { 219,   0 },
 { 220,   0 }, { 221,   0 }, { 222,   0 }, { 223,   0 }, { 224,   0 },

 { 225,   0 }, { 226,   0 }, { 227,   0 }, { 228,   0 }, { 229,   0 },
 { 230,   0 }, { 231,   0 }, { 232,   0 }, { 233,   0 }, { 234,   0 },
 { 235,   0 }, { 236,   0 }, { 237,   0 }, { 238,   0 }, { 239,   0 },
 { 240,   0 }, { 241,   0 }, { 242,   0 }, { 243,   0 }, { 244,   0 },
 { 245,   0 }, { 246,   0 }, { 247,   0 }, { 248,   0 }, { 249,   0 },
 { 250,   0 }, { 251,   0 }, { 252,   0 }, { 253,   0 }, { 254,   0 },
 { 255,   0 }, { 256,   0 }, {   0,  16 }, {   0,2621 }, {   0,   0 },
 {   0,   0 }, {   0,  17 }, {   0,2617 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   9,   0 }, {   0,   0 }, {  11,   0 },
 {  12,   0 }, {  13,   0 }, {  10,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  32,   0 }, {   0,   0 }, {   0,2587 }, {   1,   0 }, {   2,   0 },
 {   3,   0 }, {   4,   0 }, {   5,   0 }, {   6,   0 }, {   7,   0 },
 {   8,   0 }, {   9,   0 }, {  10,   0 }, {  11,   0 }, {  12,   0 },
 {  13,   0 }, {  14,   0 }, {  15,   0 }, {  16,   0 }, {  17,   0 },
 {  18,   0 }, {  19,   0 }, {  20,   0 }, {  21,   0 }, {  22,   0 },
 {  23,   0 }, {  24,   0 }, {  25,   0 }, {  26,   0 }, {  27,   0 },
 {  28,   0 }, {  29,   0 }, {  30,   0 }, {  31,   0 }, {  32,   0 },

 {  33,   0 }, {  34,   0 }, {  35,   0 }, {  36,   0 }, {  37,   0 },
 {  38,   0 }, {  39, 258 }, {  40,   0 }, {  41,   0 }, {  42,   0 },
 {  43,   0 }, {  44,   0 }, {  45,   0 }, {  46,   0 }, {  47,   0 },
 {  48,   0 }, {  49,   0 }, {  50,   0 }, {  51,   0 }, {  52,   0 },
 {  53,   0 }, {  54,   0 }, {  55,   0 }, {  56,   0 }, {  57,   0 },
 {  58,   0 }, {  59,   0 }, {  60,   0 }, {  61,   0 }, {  62,   0 },
 {  63,   0 }, {  64,   0 }, {  65,   0 }, {  66,   0 }, {  67,   0 },
 {  68,   0 }, {  69,   0 }, {  70,   0 }, {  71,   0 }, {  72,   0 },
 {  73,   0 }, {  74,   0 }, {  75,   0 }, {  76,   0 }, {  77,   0 },
 {  78,   0 }, {  79,   0 }, {  80,   0 }, {  81,   0 }, {  82,   0 },

 {  83,   0 }, {  84,   0 }, {  85,   0 }, {  86,   0 }, {  87,   0 },
 {  88,   0 }, {  89,   0 }, {  90,   0 }, {  91,   0 }, {  92,   0 },
 {  93,   0 }, {  94,   0 }, {  95,   0 }, {  96,   0 }, {  97,   0 },
 {  98,   0 }, {  99,   0 }, { 100,   0 }, { 101,   0 }, { 102,   0 },
 { 103,   0 }, { 104,   0 }, { 105,   0 }, { 106,   0 }, { 107,   0 },
 { 108,   0 }, { 109,   0 }, { 110,   0 }, { 111,   0 }, { 112,   0 },
 { 113,   0 }, { 114,   0 }, { 115,   0 }, { 116,   0 }, { 117,   0 },
 { 118,   0 }, { 119,   0 }, { 120,   0 }, { 121,   0 }, { 122,   0 },
 { 123,   0 }, { 124,   0 }, { 125,   0 }, { 126,   0 }, { 127,   0 },
 { 128,   0 }, { 129,   0 }, { 130,   0 }, { 131,   0 }, { 132,   0 },

 { 133,   0 }, { 134,   0 }, { 135,   0 }, { 136,   0 }, { 137,   0 },
 { 138,   0 }, { 139,   0 }, { 140,   0 }, { 141,   0 }, { 142,   0 },
 { 143,   0 }, { 144,   0 }, { 145,   0 }, { 146,   0 }, { 147,   0 },
 { 148,   0 }, { 149,   0 }, { 150,   0 }, { 151,   0 }, { 152,   0 },
 { 153,   0 }, { 154,   0 }, { 155,   0 }, { 156,   0 }, { 157,   0 },
 { 158,   0 }, { 159,   0 }, { 160,   0 }, { 161,   0 }, { 162,   0 },
 { 163,   0 }, { 164,   0 }, { 165,   0 }, { 166,   0 }, { 167,   0 },
 { 168,   0 }, { 169,   0 }, { 170,   0 }, { 171,   0 }, { 172,   0 },
 { 173,   0 }, { 174,   0 }, { 175,   0 }, { 176,   0 }, { 177,   0 },
 { 178,   0 }, { 179,   0 }, { 180,   0 }, { 181,   0 }, { 182,   0 },

 { 183,   0 }, { 184,   0 }, { 185,   0 }, { 186,   0 }, { 187,   0 },
 { 188,   0 }, { 189,   0 }, { 190,   0 }, { 191,   0 }, { 192,   0 },
 { 193,   0 }, { 194,   0 }, { 195,   0 }, { 196,   0 }, { 197,   0 },
 { 198,   0 }, { 199,   0 }, { 200,   0 }, { 201,   0 }, { 202,   0 },
 { 203,   0 }, { 204,   0 }, { 205,   0 }, { 206,   0 }, { 207,   0 },
 { 208,   0 }, { 209,   0 }, { 210,   0 }, { 211,   0 }, { 212,   0 },
 { 213,   0 }, { 214,   0 }, { 215,   0 }, { 216,   0 }, { 217,   0 },
 { 218,   0 }, { 219,   0 }, { 220,   0 }, { 221,   0 }, { 222,   0 },
 { 223,   0 }, { 224,   0 }, { 225,   0 }, { 226,   0 }, { 227,   0 },
 { 228,   0 }, { 229,   0 }, { 230,   0 }, { 231,   0 }, { 232,   0 },

 { 233,   0 }, { 234,   0 }, { 235,   0 }, { 236,   0 }, { 237,   0 },
 { 238,   0 }, { 239,   0 }, { 240,   0 }, { 241,   0 }, { 242,   0 },
 { 243,   0 }, { 244,   0 }, { 245,   0 }, { 246,   0 }, { 247,   0 },
 { 248,   0 }, { 249,   0 }, { 250,   0 }, { 251,   0 }, { 252,   0 },
 { 253,   0 }, { 254,   0 }, { 255,   0 }, { 256,   0 }, {   0,  15 },
 {   0,2329 }, {   0,   2 }, {   0,2327 }, {   0,   1 }, {   0,2325 },
 {   0,   0 }, {   0,  13 }, {   0,2322 }, {   1,-557 }, {   2,-557 },
 {   3,-557 }, {   4,-557 }, {   5,-557 }, {   6,-557 }, {   7,-557 },
 {   8,-557 }, {   0,   3 }, {   0,2312 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  14,-557 }, {  15,-557 }, {  16,-557 }, {  17,-557 },

 {  18,-557 }, {  19,-557 }, {  20,-557 }, {  21,-557 }, {  22,-557 },
 {  23,-557 }, {  24,-557 }, {  25,-557 }, {  26,-557 }, {  27,-557 },
 {  28,-557 }, {  29,-557 }, {  30,-557 }, {  31,-557 }, {  39,-258 },
 {  33,-557 }, {  34,-557 }, {  35,-557 }, {  36,-557 }, {  37,-557 },
 {  38,-557 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  42,-557 },
 {  43,-557 }, {   0,   0 }, {  45,-557 }, {  46, 258 }, {  47,-557 },
 {  48,   0 }, {  49,   0 }, {  50,   0 }, {  51,   0 }, {  52,   0 },
 {  53,   0 }, {  54,   0 }, {  55,   0 }, {  56,   0 }, {  57,   0 },
 {   0,   0 }, {   0,   0 }, {  60,-557 }, {  61,-557 }, {  62,-557 },
 {  63,-557 }, {  64,-557 }, {  65,-557 }, {  66,-557 }, {  67,-557 },

 {  68,-557 }, {  69, 516 }, {  70,-557 }, {  71,-557 }, {  72,-557 },
 {  73,-557 }, {  74,-557 }, {  75,-557 }, {  76,-557 }, {  77,-557 },
 {  78,-557 }, {  79,-557 }, {  80,-557 }, {  81,-557 }, {  82,-557 },
 {  83,-557 }, {  84,-557 }, {  85,-557 }, {  86,-557 }, {  87,-557 },
 {  88,-557 }, {  89,-557 }, {  90,-557 }, {   0,   0 }, {  92,-557 },
 {   0,   0 }, {  94,-557 }, {  95,-557 }, {  96,-557 }, {  97,-557 },
 {  98,-557 }, {  99,-557 }, { 100,-557 }, { 101, 516 }, { 102,-557 },
 { 103,-557 }, { 104,-557 }, { 105,-557 }, { 106,-557 }, { 107,-557 },
 { 108,-557 }, { 109,-557 }, { 110,-557 }, { 111,-557 }, { 112,-557 },
 { 113,-557 }, { 114,-557 }, { 115,-557 }, { 116,-557 }, { 117,-557 },

 { 118,-557 }, { 119,-557 }, { 120,-557 }, { 121,-557 }, { 122,-557 },
 { 123,-557 }, { 124,-557 }, { 125,-557 }, { 126,-557 }, { 127,-557 },
 { 128,-557 }, { 129,-557 }, { 130,-557 }, { 131,-557 }, { 132,-557 },
 { 133,-557 }, { 134,-557 }, { 135,-557 }, { 136,-557 }, { 137,-557 },
 { 138,-557 }, { 139,-557 }, { 140,-557 }, { 141,-557 }, { 142,-557 },
 { 143,-557 }, { 144,-557 }, { 145,-557 }, { 146,-557 }, { 147,-557 },
 { 148,-557 }, { 149,-557 }, { 150,-557 }, { 151,-557 }, { 152,-557 },
 { 153,-557 }, { 154,-557 }, { 155,-557 }, { 156,-557 }, { 157,-557 },
 { 158,-557 }, { 159,-557 }, { 160,-557 }, { 161,-557 }, { 162,-557 },
 { 163,-557 }, { 164,-557 }, { 165,-557 }, { 166,-557 }, { 167,-557 },

 { 168,-557 }, { 169,-557 }, { 170,-557 }, { 171,-557 }, { 172,-557 },
 { 173,-557 }, { 174,-557 }, { 175,-557 }, { 176,-557 }, { 177,-557 },
 { 178,-557 }, { 179,-557 }, { 180,-557 }, { 181,-557 }, { 182,-557 },
 { 183,-557 }, { 184,-557 }, { 185,-557 }, { 186,-557 }, { 187,-557 },
 { 188,-557 }, { 189,-557 }, { 190,-557 }, { 191,-557 }, { 192,-557 },
 { 193,-557 }, { 194,-557 }, { 195,-557 }, { 196,-557 }, { 197,-557 },
 { 198,-557 }, { 199,-557 }, { 200,-557 }, { 201,-557 }, { 202,-557 },
 { 203,-557 }, { 204,-557 }, { 205,-557 }, { 206,-557 }, { 207,-557 },
 { 208,-557 }, { 209,-557 }, { 210,-557 }, { 211,-557 }, { 212,-557 },
 { 213,-557 }, { 214,-557 }, { 215,-557 }, { 216,-557 }, { 217,-557 },

 { 218,-557 }, { 219,-557 }, { 220,-557 }, { 221,-557 }, { 222,-557 },
 { 223,-557 }, { 224,-557 }, { 225,-557 }, { 226,-557 }, { 227,-557 },
 { 228,-557 }, { 229,-557 }, { 230,-557 }, { 231,-557 }, { 232,-557 },
 { 233,-557 }, { 234,-557 }, { 235,-557 }, { 236,-557 }, { 237,-557 },
 { 238,-557 }, { 239,-557 }, { 240,-557 }, { 241,-557 }, { 242,-557 },
 { 243,-557 }, { 244,-557 }, { 245,-557 }, { 246,-557 }, { 247,-557 },
 { 248,-557 }, { 249,-557 }, { 250,-557 }, { 251,-557 }, { 252,-557 },
 { 253,-557 }, { 254,-557 }, { 255,-557 }, { 256,-557 }, {   0,  14 },
 {   0,2064 }, {   1,-815 }, {   2,-815 }, {   3,-815 }, {   4,-815 },
 {   5,-815 }, {   6,-815 }, {   7,-815 }, {   8,-815 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  14,-815 },
 {  15,-815 }, {  16,-815 }, {  17,-815 }, {  18,-815 }, {  19,-815 },
 {  20,-815 }, {  21,-815 }, {  22,-815 }, {  23,-815 }, {  24,-815 },
 {  25,-815 }, {  26,-815 }, {  27,-815 }, {  28,-815 }, {  29,-815 },
 {  30,-815 }, {  31,-815 }, {   0,   0 }, {  33,-815 }, {  34,-815 },
 {  35,-815 }, {  36,-815 }, {  37,-815 }, {  38,-815 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  42,-815 }, {  43,-815 }, {   0,   0 },
 {  45,-815 }, {  46,-815 }, {  47,-815 }, {  48,1290 }, {  49,1290 },
 {  50,1290 }, {  51,1290 }, {  52,1290 }, {  53,1290 }, {  54,1290 },
 {  55,1290 }, {  56,1290 }, {  57,1290 }, {   0,   0 }, {   0,   0 },

 {  60,-815 }, {  61,-815 }, {  62,-815 }, {  63,-815 }, {  64,-815 },
 {  65,-815 }, {  66,-815 }, {  67,-815 }, {  68,-815 }, {  69,-815 },
 {  70,-815 }, {  71,-815 }, {  72,-815 }, {  73,-815 }, {  74,-815 },
 {  75,-815 }, {  76,-815 }, {  77,-815 }, {  78,-815 }, {  79,-815 },
 {  80,-815 }, {  81,-815 }, {  82,-815 }, {  83,-815 }, {  84,-815 },
 {  85,-815 }, {  86,-815 }, {  87,-815 }, {  88,-815 }, {  89,-815 },
 {  90,-815 }, {   0,   0 }, {  92,-815 }, {   0,   0 }, {  94,-815 },
 {  95,-815 }, {  96,-815 }, {  97,-815 }, {  98,-815 }, {  99,-815 },
 { 100,-815 }, { 101,-815 }, { 102,-815 }, { 103,-815 }, { 104,-815 },
 { 105,-815 }, { 106,-815 }, { 107,-815 }, { 108,-815 }, { 109,-815 },

 { 110,-815 }, { 111,-815 }, { 112,-815 }, { 113,-815 }, { 114,-815 },
 { 115,-815 }, { 116,-815 }, { 117,-815 }, { 118,-815 }, { 119,-815 },
 { 120,-815 }, { 121,-815 }, { 122,-815 }, { 123,-815 }, { 124,-815 },
 { 125,-815 }, { 126,-815 }, { 127,-815 }, { 128,-815 }, { 129,-815 },
 { 130,-815 }, { 131,-815 }, { 132,-815 }, { 133,-815 }, { 134,-815 },
 { 135,-815 }, { 136,-815 }, { 137,-815 }, { 138,-815 }, { 139,-815 },
 { 140,-815 }, { 141,-815 }, { 142,-815 }, { 143,-815 }, { 144,-815 },
 { 145,-815 }, { 146,-815 }, { 147,-815 }, { 148,-815 }, { 149,-815 },
 { 150,-815 }, { 151,-815 }, { 152,-815 }, { 153,-815 }, { 154,-815 },
 { 155,-815 }, { 156,-815 }, { 157,-815 }, { 158,-815 }, { 159,-815 },

 { 160,-815 }, { 161,-815 }, { 162,-815 }, { 163,-815 }, { 164,-815 },
 { 165,-815 }, { 166,-815 }, { 167,-815 }, { 168,-815 }, { 169,-815 },
 { 170,-815 }, { 171,-815 }, { 172,-815 }, { 173,-815 }, { 174,-815 },
 { 175,-815 }, { 176,-815 }, { 177,-815 }, { 178,-815 }, { 179,-815 },
 { 180,-815 }, { 181,-815 }, { 182,-815 }, { 183,-815 }, { 184,-815 },
 { 185,-815 }, { 186,-815 }, { 187,-815 }, { 188,-815 }, { 189,-815 },
 { 190,-815 }, { 191,-815 }, { 192,-815 }, { 193,-815 }, { 194,-815 },
 { 195,-815 }, { 196,-815 }, { 197,-815 }, { 198,-815 }, { 199,-815 },
 { 200,-815 }, { 201,-815 }, { 202,-815 }, { 203,-815 }, { 204,-815 },
 { 205,-815 }, { 206,-815 }, { 207,-815 }, { 208,-815 }, { 209,-815 },

 { 210,-815 }, { 211,-815 }, { 212,-815 }, { 213,-815 }, { 214,-815 },
 { 215,-815 }, { 216,-815 }, { 217,-815 }, { 218,-815 }, { 219,-815 },
 { 220,-815 }, { 221,-815 }, { 222,-815 }, { 223,-815 }, { 224,-815 },
 { 225,-815 }, { 226,-815 }, { 227,-815 }, { 228,-815 }, { 229,-815 },
 { 230,-815 }, { 231,-815 }, { 232,-815 }, { 233,-815 }, { 234,-815 },
 { 235,-815 }, { 236,-815 }, { 237,-815 }, { 238,-815 }, { 239,-815 },
 { 240,-815 }, { 241,-815 }, { 242,-815 }, { 243,-815 }, { 244,-815 },
 { 245,-815 }, { 246,-815 }, { 247,-815 }, { 248,-815 }, { 249,-815 },
 { 250,-815 }, { 251,-815 }, { 252,-815 }, { 253,-815 }, { 254,-815 },
 { 255,-815 }, { 256,-815 }, {   0,  14 }, {   0,1806 }, {   1,-1073 },

 {   2,-1073 }, {   3,-1073 }, {   4,-1073 }, {   5,-1073 }, {   6,-1073 },
 {   7,-1073 }, {   8,-1073 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  14,-1073 }, {  15,-1073 }, {  16,-1073 },
 {  17,-1073 }, {  18,-1073 }, {  19,-1073 }, {  20,-1073 }, {  21,-1073 },
 {  22,-1073 }, {  23,-1073 }, {  24,-1073 }, {  25,-1073 }, {  26,-1073 },
 {  27,-1073 }, {  28,-1073 }, {  29,-1073 }, {  30,-1073 }, {  31,-1073 },
 {   0,   0 }, {  33,-1073 }, {  34,-1073 }, {  35,-1073 }, {  36,-1073 },
 {  37,-1073 }, {  38,-1073 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  42,-1073 }, {  43,1290 }, {   0,   0 }, {  45,1290 }, {  46,-1073 },
 {  47,-1073 }, {  48,1548 }, {  49,1548 }, {  50,1548 }, {  51,1548 },

 {  52,1548 }, {  53,1548 }, {  54,1548 }, {  55,1548 }, {  56,1548 },
 {  57,1548 }, {   0,   0 }, {   0,   0 }, {  60,-1073 }, {  61,-1073 },
 {  62,-1073 }, {  63,-1073 }, {  64,-1073 }, {  65,-1073 }, {  66,-1073 },
 {  67,-1073 }, {  68,-1073 }, {  69,-1073 }, {  70,-1073 }, {  71,-1073 },
 {  72,-1073 }, {  73,-1073 }, {  74,-1073 }, {  75,-1073 }, {  76,-1073 },
 {  77,-1073 }, {  78,-1073 }, {  79,-1073 }, {  80,-1073 }, {  81,-1073 },
 {  82,-1073 }, {  83,-1073 }, {  84,-1073 }, {  85,-1073 }, {  86,-1073 },
 {  87,-1073 }, {  88,-1073 }, {  89,-1073 }, {  90,-1073 }, {   0,   0 },
 {  92,-1073 }, {   0,   0 }, {  94,-1073 }, {  95,-1073 }, {  96,-1073 },
 {  97,-1073 }, {  98,-1073 }, {  99,-1073 }, { 100,-1073 }, { 101,-1073 },

 { 102,-1073 }, { 103,-1073 }, { 104,-1073 }, { 105,-1073 }, { 106,-1073 },
 { 107,-1073 }, { 108,-1073 }, { 109,-1073 }, { 110,-1073 }, { 111,-1073 },
 { 112,-1073 }, { 113,-1073 }, { 114,-1073 }, { 115,-1073 }, { 116,-1073 },
 { 117,-1073 }, { 118,-1073 }, { 119,-1073 }, { 120,-1073 }, { 121,-1073 },
 { 122,-1073 }, { 123,-1073 }, { 124,-1073 }, { 125,-1073 }, { 126,-1073 },
 { 127,-1073 }, { 128,-1073 }, { 129,-1073 }, { 130,-1073 }, { 131,-1073 },
 { 132,-1073 }, { 133,-1073 }, { 134,-1073 }, { 135,-1073 }, { 136,-1073 },
 { 137,-1073 }, { 138,-1073 }, { 139,-1073 }, { 140,-1073 }, { 141,-1073 },
 { 142,-1073 }, { 143,-1073 }, { 144,-1073 }, { 145,-1073 }, { 146,-1073 },
 { 147,-1073 }, { 148,-1073 }, { 149,-1073 }, { 150,-1073 }, { 151,-1073 },

 { 152,-1073 }, { 153,-1073 }, { 154,-1073 }, { 155,-1073 }, { 156,-1073 },
 { 157,-1073 }, { 158,-1073 }, { 159,-1073 }, { 160,-1073 }, { 161,-1073 },
 { 162,-1073 }, { 163,-1073 }, { 164,-1073 }, { 165,-1073 }, { 166,-1073 },
 { 167,-1073 }, { 168,-1073 }, { 169,-1073 }, { 170,-1073 }, { 171,-1073 },
 { 172,-1073 }, { 173,-1073 }, { 174,-1073 }, { 175,-1073 }, { 176,-1073 },
 { 177,-1073 }, { 178,-1073 }, { 179,-1073 }, { 180,-1073 }, { 181,-1073 },
 { 182,-1073 }, { 183,-1073 }, { 184,-1073 }, { 185,-1073 }, { 186,-1073 },
 { 187,-1073 }, { 188,-1073 }, { 189,-1073 }, { 190,-1073 }, { 191,-1073 },
 { 192,-1073 }, { 193,-1073 }, { 194,-1073 }, { 195,-1073 }, { 196,-1073 },
 { 197,-1073 }, { 198,-1073 }, { 199,-1073 }, { 200,-1073 }, { 201,-1073 },

 { 202,-1073 }, { 203,-1073 }, { 204,-1073 }, { 205,-1073 }, { 206,-1073 },
 { 207,-1073 }, { 208,-1073 }, { 209,-1073 }, { 210,-1073 }, { 211,-1073 },
 { 212,-1073 }, { 213,-1073 }, { 214,-1073 }, { 215,-1073 }, { 216,-1073 },
 { 217,-1073 }, { 218,-1073 }, { 219,-1073 }, { 220,-1073 }, { 221,-1073 },
 { 222,-1073 }, { 223,-1073 }, { 224,-1073 }, { 225,-1073 }, { 226,-1073 },
 { 227,-1073 }, { 228,-1073 }, { 229,-1073 }, { 230,-1073 }, { 231,-1073 },
 { 232,-1073 }, { 233,-1073 }, { 234,-1073 }, { 235,-1073 }, { 236,-1073 },
 { 237,-1073 }, { 238,-1073 }, { 239,-1073 }, { 240,-1073 }, { 241,-1073 },
 { 242,-1073 }, { 243,-1073 }, { 244,-1073 }, { 245,-1073 }, { 246,-1073 },
 { 247,-1073 }, { 248,-1073 }, { 249,-1073 }, { 250,-1073 }, { 251,-1073 },

 { 252,-1073 }, { 253,-1073 }, { 254,-1073 }, { 255,-1073 }, { 256,-1073 },
 {   0,   0 }, {   0,1548 }, {   1,   0 }, {   2,   0 }, {   3,   0 },
 {   4,   0 }, {   5,   0 }, {   6,   0 }, {   7,   0 }, {   8,   0 },
 {   9,   0 }, {   0,   0 }, {  11,   0 }, {  12,   0 }, {  13,   0 },
 {  14,   0 }, {  15,   0 }, {  16,   0 }, {  17,   0 }, {  18,   0 },
 {  19,   0 }, {  20,   0 }, {  21,   0 }, {  22,   0 }, {  23,   0 },
 {  24,   0 }, {  25,   0 }, {  26,   0 }, {  27,   0 }, {  28,   0 },
 {  29,   0 }, {  30,   0 }, {  31,   0 }, {  32,   0 }, {  33,   0 },
 {  34,   0 }, {  35,   0 }, {  36,   0 }, {  37,   0 }, {  38,   0 },
 {  39,   0 }, {  40,   0 }, {  41,   0 }, {  42,   0 }, {  43,   0 },

 {  44,   0 }, {  45,   0 }, {  46,   0 }, {  47,   0 }, {  48,   0 },
 {  49,   0 }, {  50,   0 }, {  51,   0 }, {  52,   0 }, {  53,   0 },
 {  54,   0 }, {  55,   0 }, {  56,   0 }, {  57,   0 }, {  58,   0 },
 {  59,   0 }, {  60,   0 }, {  61,   0 }, {  62,   0 }, {  63,   0 },
 {  64,   0 }, {  65,   0 }, {  66,   0 }, {  67,   0 }, {  68,   0 },
 {  69,   0 }, {  70,   0 }, {  71,   0 }, {  72,   0 }, {  73,   0 },
 {  74,   0 }, {  75,   0 }, {  76,   0 }, {  77,   0 }, {  78,   0 },
 {  79,   0 }, {  80,   0 }, {  81,   0 }, {  82,   0 }, {  83,   0 },
 {  84,   0 }, {  85,   0 }, {  86,   0 }, {  87,   0 }, {  88,   0 },
 {  89,   0 }, {  90,   0 }, {  91,-779 }, {  92,   0 }, {  93,-777 },

 {  94,   0 }, {  95,   0 }, {  96,   0 }, {  97,   0 }, {  98,   0 },
 {  99,   0 }, { 100,   0 }, { 101,   0 }, { 102,   0 }, { 103,   0 },
 { 104,   0 }, { 105,   0 }, { 106,   0 }, { 107,   0 }, { 108,   0 },
 { 109,   0 }, { 110,   0 }, { 111,   0 }, { 112,   0 }, { 113,   0 },
 { 114,   0 }, { 115,   0 }, { 116,   0 }, { 117,   0 }, { 118,   0 },
 { 119,   0 }, { 120,   0 }, { 121,   0 }, { 122,   0 }, { 123,   0 },
 { 124,   0 }, { 125,   0 }, { 126,   0 }, { 127,   0 }, { 128,   0 },
 { 129,   0 }, { 130,   0 }, { 131,   0 }, { 132,   0 }, { 133,   0 },
 { 134,   0 }, { 135,   0 }, { 136,   0 }, { 137,   0 }, { 138,   0 },
 { 139,   0 }, { 140,   0 }, { 141,   0 }, { 142,   0 }, { 143,   0 },

 { 144,   0 }, { 145,   0 }, { 146,   0 }, { 147,   0 }, { 148,   0 },
 { 149,   0 }, { 150,   0 }, { 151,   0 }, { 152,   0 }, { 153,   0 },
 { 154,   0 }, { 155,   0 }, { 156,   0 }, { 157,   0 }, { 158,   0 },
 { 159,   0 }, { 160,   0 }, { 161,   0 }, { 162,   0 }, { 163,   0 },
 { 164,   0 }, { 165,   0 }, { 166,   0 }, { 167,   0 }, { 168,   0 },
 { 169,   0 }, { 170,   0 }, { 171,   0 }, { 172,   0 }, { 173,   0 },
 { 174,   0 }, { 175,   0 }, { 176,   0 }, { 177,   0 }, { 178,   0 },
 { 179,   0 }, { 180,   0 }, { 181,   0 }, { 182,   0 }, { 183,   0 },
 { 184,   0 }, { 185,   0 }, { 186,   0 }, { 187,   0 }, { 188,   0 },
 { 189,   0 }, { 190,   0 }, { 191,   0 }, { 192,   0 }, { 193,   0 },

 { 194,   0 }, { 195,   0 }, { 196,   0 }, { 197,   0 }, { 198,   0 },
 { 199,   0 }, { 200,   0 }, { 201,   0 }, { 202,   0 }, { 203,   0 },
 { 204,   0 }, { 205,   0 }, { 206,   0 }, { 207,   0 }, { 208,   0 },
 { 209,   0 }, { 210,   0 }, { 211,   0 }, { 212,   0 }, { 213,   0 },
 { 214,   0 }, { 215,   0 }, { 216,   0 }, { 217,   0 }, { 218,   0 },
 { 219,   0 }, { 220,   0 }, { 221,   0 }, { 222,   0 }, { 223,   0 },
 { 224,   0 }, { 225,   0 }, { 226,   0 }, { 227,   0 }, { 228,   0 },
 { 229,   0 }, { 230,   0 }, { 231,   0 }, { 232,   0 }, { 233,   0 },
 { 234,   0 }, { 235,   0 }, { 236,   0 }, { 237,   0 }, { 238,   0 },
 { 239,   0 }, { 240,   0 }, { 241,   0 }, { 242,   0 }, { 243,   0 },

 { 244,   0 }, { 245,   0 }, { 246,   0 }, { 247,   0 }, { 248,   0 },
 { 249,   0 }, { 250,   0 }, { 251,   0 }, { 252,   0 }, { 253,   0 },
 { 254,   0 }, { 255,   0 }, { 256,   0 }, {   0,   7 }, {   0,1290 },
 {   1,   0 }, {   2,   0 }, {   3,   0 }, {   4,   0 }, {   5,   0 },
 {   6,   0 }, {   7,   0 }, {   8,   0 }, {   9,   0 }, {   0,   0 },
 {  11,   0 }, {  12,   0 }, {  13,   0 }, {  14,   0 }, {  15,   0 },
 {  16,   0 }, {  17,   0 }, {  18,   0 }, {  19,   0 }, {  20,   0 },
 {  21,   0 }, {  22,   0 }, {  23,   0 }, {  24,   0 }, {  25,   0 },
 {  26,   0 }, {  27,   0 }, {  28,   0 }, {  29,   0 }, {  30,   0 },
 {  31,   0 }, {  32,   0 }, {  33,   0 }, {  34,   0 }, {  35,   0 },

 {  36,   0 }, {  37,   0 }, {  38,   0 }, {  39,   0 }, {  40,   0 },
 {  41,   0 }, {  42,   0 }, {  43,   0 }, {  44,   0 }, {  45,   0 },
 {  46,   0 }, {  47,   0 }, {  48,   0 }, {  49,   0 }, {  50,   0 },
 {  51,   0 }, {  52,   0 }, {  53,   0 }, {  54,   0 }, {  55,   0 },
 {  56,   0 }, {  57,   0 }, {  58,   0 }, {  59,   0 }, {  60,   0 },
 {  61,   0 }, {  62,   0 }, {  63,   0 }, {  64,   0 }, {  65,   0 },
 {  66,   0 }, {  67,   0 }, {  68,   0 }, {  69,   0 }, {  70,   0 },
 {  71,   0 }, {  72,   0 }, {  73,   0 }, {  74,   0 }, {  75,   0 },
 {  76,   0 }, {  77,   0 }, {  78,   0 }, {  79,   0 }, {  80,   0 },
 {  81,   0 }, {  82,   0 }, {  83,   0 }, {  84,   0 }, {  85,   0 },

 {  86,   0 }, {  87,   0 }, {  88,   0 }, {  89,   0 }, {  90,   0 },
 {   0,   0 }, {  92,   0 }, {   0,   0 }, {  94,   0 }, {  95,   0 },
 {  96,   0 }, {  97,   0 }, {  98,   0 }, {  99,   0 }, { 100,   0 },
 { 101,   0 }, { 102,   0 }, { 103,   0 }, { 104,   0 }, { 105,   0 },
 { 106,   0 }, { 107,   0 }, { 108,   0 }, { 109,   0 }, { 110,   0 },
 { 111,   0 }, { 112,   0 }, { 113,   0 }, { 114,   0 }, { 115,   0 },
 { 116,   0 }, { 117,   0 }, { 118,   0 }, { 119,   0 }, { 120,   0 },
 { 121,   0 }, { 122,   0 }, { 123,   0 }, { 124,   0 }, { 125,   0 },
 { 126,   0 }, { 127,   0 }, { 128,   0 }, { 129,   0 }, { 130,   0 },
 { 131,   0 }, { 132,   0 }, { 133,   0 }, { 134,   0 }, { 135,   0 },

 { 136,   0 }, { 137,   0 }, { 138,   0 }, { 139,   0 }, { 140,   0 },
 { 141,   0 }, { 142,   0 }, { 143,   0 }, { 144,   0 }, { 145,   0 },
 { 146,   0 }, { 147,   0 }, { 148,   0 }, { 149,   0 }, { 150,   0 },
 { 151,   0 }, { 152,   0 }, { 153,   0 }, { 154,   0 }, { 155,   0 },
 { 156,   0 }, { 157,   0 }, { 158,   0 }, { 159,   0 }, { 160,   0 },
 { 161,   0 }, { 162,   0 }, { 163,   0 }, { 164,   0 }, { 165,   0 },
 { 166,   0 }, { 167,   0 }, { 168,   0 }, { 169,   0 }, { 170,   0 },
 { 171,   0 }, { 172,   0 }, { 173,   0 }, { 174,   0 }, { 175,   0 },
 { 176,   0 }, { 177,   0 }, { 178,   0 }, { 179,   0 }, { 180,   0 },
 { 181,   0 }, { 182,   0 }, { 183,   0 }, { 184,   0 }, { 185,   0 },

 { 186,   0 }, { 187,   0 }, { 188,   0 }, { 189,   0 }, { 190,   0 },
 { 191,   0 }, { 192,   0 }, { 193,   0 }, { 194,   0 }, { 195,   0 },
 { 196,   0 }, { 197,   0 }, { 198,   0 }, { 199,   0 }, { 200,   0 },
 { 201,   0 }, { 202,   0 }, { 203,   0 }, { 204,   0 }, { 205,   0 },
 { 206,   0 }, { 207,   0 }, { 208,   0 }, { 209,   0 }, { 210,   0 },
 { 211,   0 }, { 212,   0 }, { 213,   0 }, { 214,   0 }, { 215,   0 },
 { 216,   0 }, { 217,   0 }, { 218,   0 }, { 219,   0 }, { 220,   0 },
 { 221,   0 }, { 222,   0 }, { 223,   0 }, { 224,   0 }, { 225,   0 },
 { 226,   0 }, { 227,   0 }, { 228,   0 }, { 229,   0 }, { 230,   0 },
 { 231,   0 }, { 232,   0 }, { 233,   0 }, { 234,   0 }, { 235,   0 },

 { 236,   0 }, { 237,   0 }, { 238,   0 }, { 239,   0 }, { 240,   0 },
 { 241,   0 }, { 242,   0 }, { 243,   0 }, { 244,   0 }, { 245,   0 },
 { 246,   0 }, { 247,   0 }, { 248,   0 }, { 249,   0 }, { 250,   0 },
 { 251,   0 }, { 252,   0 }, { 253,   0 }, { 254,   0 }, { 255,   0 },
 { 256,   0 }, {   0,   0 }, {   0,1032 }, {   1,   0 }, {   2,   0 },
 {   3,   0 }, {   4,   0 }, {   5,   0 }, {   6,   0 }, {   7,   0 },
 {   8,   0 }, {   9,   0 }, {  10,-1280 }, {  11,   0 }, {  12,   0 },
 {  13,   0 }, {  14,   0 }, {  15,   0 }, {  16,   0 }, {  17,   0 },
 {  18,   0 }, {  19,   0 }, {  20,   0 }, {  21,   0 }, {  22,   0 },
 {  23,   0 }, {  24,   0 }, {  25,   0 }, {  26,   0 }, {  27,   0 },

 {  28,   0 }, {  29,   0 }, {  30,   0 }, {  31,   0 }, {  32,   0 },
 {  33,   0 }, {  34,   0 }, {  35,   0 }, {  36,   0 }, {  37,   0 },
 {  38,   0 }, {  39,   0 }, {  40,   0 }, {  41,   0 }, {  42,   0 },
 {  43,   0 }, {  44,   0 }, {  45,   0 }, {  46,   0 }, {  47,   0 },
 {  48,   0 }, {  49,   0 }, {  50,   0 }, {  51,   0 }, {  52,   0 },
 {  53,   0 }, {  54,   0 }, {  55,   0 }, {  56,   0 }, {  57,   0 },
 {  58,   0 }, {  59,   0 }, {  60,   0 }, {  61,   0 }, {  62,   0 },
 {  63,   0 }, {  64,   0 }, {  65,   0 }, {  66,   0 }, {  67,   0 },
 {  68,   0 }, {  69,   0 }, {  70,   0 }, {  71,   0 }, {  72,   0 },
 {  73,   0 }, {  74,   0 }, {  75,   0 }, {  76,   0 }, {  77,   0 },

 {  78,   0 }, {  79,   0 }, {  80,   0 }, {  81,   0 }, {  82,   0 },
 {  83,   0 }, {  84,   0 }, {  85,   0 }, {  86,   0 }, {  87,   0 },
 {  88,   0 }, {  89,   0 }, {  90,   0 }, {   0,   0 }, {  92,   0 },
 {   0,   0 }, {  94,   0 }, {  95,   0 }, {  96,   0 }, {  97,   0 },
 {  98,   0 }, {  99,   0 }, { 100,   0 }, { 101,   0 }, { 102,   0 },
 { 103,   0 }, { 104,   0 }, { 105,   0 }, { 106,   0 }, { 107,   0 },
 { 108,   0 }, { 109,   0 }, { 110,   0 }, { 111,   0 }, { 112,   0 },
 { 113,   0 }, { 114,   0 }, { 115,   0 }, { 116,   0 }, { 117,   0 },
 { 118,   0 }, { 119,   0 }, { 120,   0 }, { 121,   0 }, { 122,   0 },
 { 123,   0 }, { 124,   0 }, { 125,   0 }, { 126,   0 }, { 127,   0 },

 { 128,   0 }, { 129,   0 }, { 130,   0 }, { 131,   0 }, { 132,   0 },
 { 133,   0 }, { 134,   0 }, { 135,   0 }, { 136,   0 }, { 137,   0 },
 { 138,   0 }, { 139,   0 }, { 140,   0 }, { 141,   0 }, { 142,   0 },
 { 143,   0 }, { 144,   0 }, { 145,   0 }, { 146,   0 }, { 147,   0 },
 { 148,   0 }, { 149,   0 }, { 150,   0 }, { 151,   0 }, { 152,   0 },
 { 153,   0 }, { 154,   0 }, { 155,   0 }, { 156,   0 }, { 157,   0 },
 { 158,   0 }, { 159,   0 }, { 160,   0 }, { 161,   0 }, { 162,   0 },
 { 163,   0 }, { 164,   0 }, { 165,   0 }, { 166,   0 }, { 167,   0 },
 { 168,   0 }, { 169,   0 }, { 170,   0 }, { 171,   0 }, { 172,   0 },
 { 173,   0 }, { 174,   0 }, { 175,   0 }, { 176,   0 }, { 177,   0 },

 { 178,   0 }, { 179,   0 }, { 180,   0 }, { 181,   0 }, { 182,   0 },
 { 183,   0 }, { 184,   0 }, { 185,   0 }, { 186,   0 }, { 187,   0 },
 { 188,   0 }, { 189,   0 }, { 190,   0 }, { 191,   0 }, { 192,   0 },
 { 193,   0 }, { 194,   0 }, { 195,   0 }, { 196,   0 }, { 197,   0 },
 { 198,   0 }, { 199,   0 }, { 200,   0 }, { 201,   0 }, { 202,   0 },
 { 203,   0 }, { 204,   0 }, { 205,   0 }, { 206,   0 }, { 207,   0 },
 { 208,   0 }, { 209,   0 }, { 210,   0 }, { 211,   0 }, { 212,   0 },
 { 213,   0 }, { 214,   0 }, { 215,   0 }, { 216,   0 }, { 217,   0 },
 { 218,   0 }, { 219,   0 }, { 220,   0 }, { 221,   0 }, { 222,   0 },
 { 223,   0 }, { 224,   0 }, { 225,   0 }, { 226,   0 }, { 227,   0 },

 { 228,   0 }, { 229,   0 }, { 230,   0 }, { 231,   0 }, { 232,   0 },
 { 233,   0 }, { 234,   0 }, { 235,   0 }, { 236,   0 }, { 237,   0 },
 { 238,   0 }, { 239,   0 }, { 240,   0 }, { 241,   0 }, { 242,   0 },
 { 243,   0 }, { 244,   0 }, { 245,   0 }, { 246,   0 }, { 247,   0 },
 { 248,   0 }, { 249,   0 }, { 250,   0 }, { 251,   0 }, { 252,   0 },
 { 253,   0 }, { 254,   0 }, { 255,   0 }, { 256,   0 }, {   0,  13 },
 {   0, 774 }, {   1,-2105 }, {   2,-2105 }, {   3,-2105 }, {   4,-2105 },
 {   5,-2105 }, {   6,-2105 }, {   7,-2105 }, {   8,-2105 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  14,-2105 },
 {  15,-2105 }, {  16,-2105 }, {  17,-2105 }, {  18,-2105 }, {  19,-2105 },

 {  20,-2105 }, {  21,-2105 }, {  22,-2105 }, {  23,-2105 }, {  24,-2105 },
 {  25,-2105 }, {  26,-2105 }, {  27,-2105 }, {  28,-2105 }, {  29,-2105 },
 {  30,-2105 }, {  31,-2105 }, {   0,   0 }, {  33,-2105 }, {  34,-2105 },
 {  35,-2105 }, {  36,-2105 }, {  37,-2105 }, {  38,-2105 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  42,-2105 }, {  43,-2105 }, {   0,   0 },
 {  45,-2105 }, {  46,-2105 }, {  47,-2105 }, {  48,   0 }, {  49,   0 },
 {  50,   0 }, {  51,   0 }, {  52,   0 }, {  53,   0 }, {  54,   0 },
 {  55,   0 }, {  56,   0 }, {  57,   0 }, {   0,   0 }, {   0,   0 },
 {  60,-2105 }, {  61,-2105 }, {  62,-2105 }, {  63,-2105 }, {  64,-2105 },
 {  65,-2105 }, {  66,-2105 }, {  67,-2105 }, {  68,-2105 }, {  69,-1032 },

 {  70,-2105 }, {  71,-2105 }, {  72,-2105 }, {  73,-2105 }, {  74,-2105 },
 {  75,-2105 }, {  76,-2105 }, {  77,-2105 }, {  78,-2105 }, {  79,-2105 },
 {  80,-2105 }, {  81,-2105 }, {  82,-2105 }, {  83,-2105 }, {  84,-2105 },
 {  85,-2105 }, {  86,-2105 }, {  87,-2105 }, {  88,-2105 }, {  89,-2105 },
 {  90,-2105 }, {   0,   0 }, {  92,-2105 }, {   0,   0 }, {  94,-2105 },
 {  95,-2105 }, {  96,-2105 }, {  97,-2105 }, {  98,-2105 }, {  99,-2105 },
 { 100,-2105 }, { 101,-1032 }, { 102,-2105 }, { 103,-2105 }, { 104,-2105 },
 { 105,-2105 }, { 106,-2105 }, { 107,-2105 }, { 108,-2105 }, { 109,-2105 },
 { 110,-2105 }, { 111,-2105 }, { 112,-2105 }, { 113,-2105 }, { 114,-2105 },
 { 115,-2105 }, { 116,-2105 }, { 117,-2105 }, { 118,-2105 }, { 119,-2105 },

 { 120,-2105 }, { 121,-2105 }, { 122,-2105 }, { 123,-2105 }, { 124,-2105 },
 { 125,-2105 }, { 126,-2105 }, { 127,-2105 }, { 128,-2105 }, { 129,-2105 },
 { 130,-2105 }, { 131,-2105 }, { 132,-2105 }, { 133,-2105 }, { 134,-2105 },
 { 135,-2105 }, { 136,-2105 }, { 137,-2105 }, { 138,-2105 }, { 139,-2105 },
 { 140,-2105 }, { 141,-2105 }, { 142,-2105 }, { 143,-2105 }, { 144,-2105 },
 { 145,-2105 }, { 146,-2105 }, { 147,-2105 }, { 148,-2105 }, { 149,-2105 },
 { 150,-2105 }, { 151,-2105 }, { 152,-2105 }, { 153,-2105 }, { 154,-2105 },
 { 155,-2105 }, { 156,-2105 }, { 157,-2105 }, { 158,-2105 }, { 159,-2105 },
 { 160,-2105 }, { 161,-2105 }, { 162,-2105 }, { 163,-2105 }, { 164,-2105 },
 { 165,-2105 }, { 166,-2105 }, { 167,-2105 }, { 168,-2105 }, { 169,-2105 },

 { 170,-2105 }, { 171,-2105 }, { 172,-2105 }, { 173,-2105 }, { 174,-2105 },
 { 175,-2105 }, { 176,-2105 }, { 177,-2105 }, { 178,-2105 }, { 179,-2105 },
 { 180,-2105 }, { 181,-2105 }, { 182,-2105 }, { 183,-2105 }, { 184,-2105 },
 { 185,-2105 }, { 186,-2105 }, { 187,-2105 }, { 188,-2105 }, { 189,-2105 },
 { 190,-2105 }, { 191,-2105 }, { 192,-2105 }, { 193,-2105 }, { 194,-2105 },
 { 195,-2105 }, { 196,-2105 }, { 197,-2105 }, { 198,-2105 }, { 199,-2105 },
 { 200,-2105 }, { 201,-2105 }, { 202,-2105 }, { 203,-2105 }, { 204,-2105 },
 { 205,-2105 }, { 206,-2105 }, { 207,-2105 }, { 208,-2105 }, { 209,-2105 },
 { 210,-2105 }, { 211,-2105 }, { 212,-2105 }, { 213,-2105 }, { 214,-2105 },
 { 215,-2105 }, { 216,-2105 }, { 217,-2105 }, { 218,-2105 }, { 219,-2105 },

 { 220,-2105 }, { 221,-2105 }, { 222,-2105 }, { 223,-2105 }, { 224,-2105 },
 { 225,-2105 }, { 226,-2105 }, { 227,-2105 }, { 228,-2105 }, { 229,-2105 },
 { 230,-2105 }, { 231,-2105 }, { 232,-2105 }, { 233,-2105 }, { 234,-2105 },
 { 235,-2105 }, { 236,-2105 }, { 237,-2105 }, { 238,-2105 }, { 239,-2105 },
 { 240,-2105 }, { 241,-2105 }, { 242,-2105 }, { 243,-2105 }, { 244,-2105 },
 { 245,-2105 }, { 246,-2105 }, { 247,-2105 }, { 248,-2105 }, { 249,-2105 },
 { 250,-2105 }, { 251,-2105 }, { 252,-2105 }, { 253,-2105 }, { 254,-2105 },
 { 255,-2105 }, { 256,-2105 }, {   0,  14 }, {   0, 516 }, {   1,-2363 },
 {   2,-2363 }, {   3,-2363 }, {   4,-2363 }, {   5,-2363 }, {   6,-2363 },
 {   7,-2363 }, {   8,-2363 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {  14,-2363 }, {  15,-2363 }, {  16,-2363 },
 {  17,-2363 }, {  18,-2363 }, {  19,-2363 }, {  20,-2363 }, {  21,-2363 },
 {  22,-2363 }, {  23,-2363 }, {  24,-2363 }, {  25,-2363 }, {  26,-2363 },
 {  27,-2363 }, {  28,-2363 }, {  29,-2363 }, {  30,-2363 }, {  31,-2363 },
 {   0,   0 }, {  33,-2363 }, {  34,-2363 }, {  35,-2363 }, {  36,-2363 },
 {  37,-2363 }, {  38,-2363 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  42,-2363 }, {  43,-2363 }, {   0,   0 }, {  45,-2363 }, {  46,-2363 },
 {  47,-2363 }, {  48, 258 }, {  49, 258 }, {  50, 258 }, {  51, 258 },
 {  52, 258 }, {  53, 258 }, {  54, 258 }, {  55, 258 }, {  56, 258 },
 {  57, 258 }, {   0,   0 }, {   0,   0 }, {  60,-2363 }, {  61,-2363 },

 {  62,-2363 }, {  63,-2363 }, {  64,-2363 }, {  65,-2363 }, {  66,-2363 },
 {  67,-2363 }, {  68,-2363 }, {  69,-2363 }, {  70,-2363 }, {  71,-2363 },
 {  72,-2363 }, {  73,-2363 }, {  74,-2363 }, {  75,-2363 }, {  76,-2363 },
 {  77,-2363 }, {  78,-2363 }, {  79,-2363 }, {  80,-2363 }, {  81,-2363 },
 {  82,-2363 }, {  83,-2363 }, {  84,-2363 }, {  85,-2363 }, {  86,-2363 },
 {  87,-2363 }, {  88,-2363 }, {  89,-2363 }, {  90,-2363 }, {   0,   0 },
 {  92,-2363 }, {   0,   0 }, {  94,-2363 }, {  95,-2363 }, {  96,-2363 },
 {  97,-2363 }, {  98,-2363 }, {  99,-2363 }, { 100,-2363 }, { 101,-2363 },
 { 102,-2363 }, { 103,-2363 }, { 104,-2363 }, { 105,-2363 }, { 106,-2363 },
 { 107,-2363 }, { 108,-2363 }, { 109,-2363 }, { 110,-2363 }, { 111,-2363 },

 { 112,-2363 }, { 113,-2363 }, { 114,-2363 }, { 115,-2363 }, { 116,-2363 },
 { 117,-2363 }, { 118,-2363 }, { 119,-2363 }, { 120,-2363 }, { 121,-2363 },
 { 122,-2363 }, { 123,-2363 }, { 124,-2363 }, { 125,-2363 }, { 126,-2363 },
 { 127,-2363 }, { 128,-2363 }, { 129,-2363 }, { 130,-2363 }, { 131,-2363 },
 { 132,-2363 }, { 133,-2363 }, { 134,-2363 }, { 135,-2363 }, { 136,-2363 },
 { 137,-2363 }, { 138,-2363 }, { 139,-2363 }, { 140,-2363 }, { 141,-2363 },
 { 142,-2363 }, { 143,-2363 }, { 144,-2363 }, { 145,-2363 }, { 146,-2363 },
 { 147,-2363 }, { 148,-2363 }, { 149,-2363 }, { 150,-2363 }, { 151,-2363 },
 { 152,-2363 }, { 153,-2363 }, { 154,-2363 }, { 155,-2363 }, { 156,-2363 },
 { 157,-2363 }, { 158,-2363 }, { 159,-2363 }, { 160,-2363 }, { 161,-2363 },

 { 162,-2363 }, { 163,-2363 }, { 164,-2363 }, { 165,-2363 }, { 166,-2363 },
 { 167,-2363 }, { 168,-2363 }, { 169,-2363 }, { 170,-2363 }, { 171,-2363 },
 { 172,-2363 }, { 173,-2363 }, { 174,-2363 }, { 175,-2363 }, { 176,-2363 },
 { 177,-2363 }, { 178,-2363 }, { 179,-2363 }, { 180,-2363 }, { 181,-2363 },
 { 182,-2363 }, { 183,-2363 }, { 184,-2363 }, { 185,-2363 }, { 186,-2363 },
 { 187,-2363 }, { 188,-2363 }, { 189,-2363 }, { 190,-2363 }, { 191,-2363 },
 { 192,-2363 }, { 193,-2363 }, { 194,-2363 }, { 195,-2363 }, { 196,-2363 },
 { 197,-2363 }, { 198,-2363 }, { 199,-2363 }, { 200,-2363 }, { 201,-2363 },
 { 202,-2363 }, { 203,-2363 }, { 204,-2363 }, { 205,-2363 }, { 206,-2363 },
 { 207,-2363 }, { 208,-2363 }, { 209,-2363 }, { 210,-2363 }, { 211,-2363 },

 { 212,-2363 }, { 213,-2363 }, { 214,-2363 }, { 215,-2363 }, { 216,-2363 },
 { 217,-2363 }, { 218,-2363 }, { 219,-2363 }, { 220,-2363 }, { 221,-2363 },
 { 222,-2363 }, { 223,-2363 }, { 224,-2363 }, { 225,-2363 }, { 226,-2363 },
 { 227,-2363 }, { 228,-2363 }, { 229,-2363 }, { 230,-2363 }, { 231,-2363 },
 { 232,-2363 }, { 233,-2363 }, { 234,-2363 }, { 235,-2363 }, { 236,-2363 },
 { 237,-2363 }, { 238,-2363 }, { 239,-2363 }, { 240,-2363 }, { 241,-2363 },
 { 242,-2363 }, { 243,-2363 }, { 244,-2363 }, { 245,-2363 }, { 246,-2363 },
 { 247,-2363 }, { 248,-2363 }, { 249,-2363 }, { 250,-2363 }, { 251,-2363 },
 { 252,-2363 }, { 253,-2363 }, { 254,-2363 }, { 255,-2363 }, { 256,-2363 },
 {   0,  13 }, {   0, 258 }, {   1,-2621 }, {   2,-2621 }, {   3,-2621 },

 {   4,-2621 }, {   5,-2621 }, {   6,-2621 }, {   7,-2621 }, {   8,-2621 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  14,-2621 }, {  15,-2621 }, {  16,-2621 }, {  17,-2621 }, {  18,-2621 },
 {  19,-2621 }, {  20,-2621 }, {  21,-2621 }, {  22,-2621 }, {  23,-2621 },
 {  24,-2621 }, {  25,-2621 }, {  26,-2621 }, {  27,-2621 }, {  28,-2621 },
 {  29,-2621 }, {  30,-2621 }, {  31,-2621 }, {   0,   0 }, {  33,-2621 },
 {  34,-2621 }, {  35,-2621 }, {  36,-2621 }, {  37,-2621 }, {  38,-2621 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  42,-2621 }, {  43,-2621 },
 {   0,   0 }, {  45,-2621 }, {  46,-2621 }, {  47,-2621 }, {  48,   0 },
 {  49,   0 }, {  50,   0 }, {  51,   0 }, {  52,   0 }, {  53,   0 },

 {  54,   0 }, {  55,   0 }, {  56,   0 }, {  57,   0 }, {   0,   0 },
 {   0,   0 }, {  60,-2621 }, {  61,-2621 }, {  62,-2621 }, {  63,-2621 },
 {  64,-2621 }, {  65,-2621 }, {  66,-2621 }, {  67,-2621 }, {  68,-2621 },
 {  69,-2621 }, {  70,-2621 }, {  71,-2621 }, {  72,-2621 }, {  73,-2621 },
 {  74,-2621 }, {  75,-2621 }, {  76,-2621 }, {  77,-2621 }, {  78,-2621 },
 {  79,-2621 }, {  80,-2621 }, {  81,-2621 }, {  82,-2621 }, {  83,-2621 },
 {  84,-2621 }, {  85,-2621 }, {  86,-2621 }, {  87,-2621 }, {  88,-2621 },
 {  89,-2621 }, {  90,-2621 }, {   0,   0 }, {  92,-2621 }, {   0,   0 },
 {  94,-2621 }, {  95,-2621 }, {  96,-2621 }, {  97,-2621 }, {  98,-2621 },
 {  99,-2621 }, { 100,-2621 }, { 101,-2621 }, { 102,-2621 }, { 103,-2621 },

 { 104,-2621 }, { 105,-2621 }, { 106,-2621 }, { 107,-2621 }, { 108,-2621 },
 { 109,-2621 }, { 110,-2621 }, { 111,-2621 }, { 112,-2621 }, { 113,-2621 },
 { 114,-2621 }, { 115,-2621 }, { 116,-2621 }, { 117,-2621 }, { 118,-2621 },
 { 119,-2621 }, { 120,-2621 }, { 121,-2621 }, { 122,-2621 }, { 123,-2621 },
 { 124,-2621 }, { 125,-2621 }, { 126,-2621 }, { 127,-2621 }, { 128,-2621 },
 { 129,-2621 }, { 130,-2621 }, { 131,-2621 }, { 132,-2621 }, { 133,-2621 },
 { 134,-2621 }, { 135,-2621 }, { 136,-2621 }, { 137,-2621 }, { 138,-2621 },
 { 139,-2621 }, { 140,-2621 }, { 141,-2621 }, { 142,-2621 }, { 143,-2621 },
 { 144,-2621 }, { 145,-2621 }, { 146,-2621 }, { 147,-2621 }, { 148,-2621 },
 { 149,-2621 }, { 150,-2621 }, { 151,-2621 }, { 152,-2621 }, { 153,-2621 },

 { 154,-2621 }, { 155,-2621 }, { 156,-2621 }, { 157,-2621 }, { 158,-2621 },
 { 159,-2621 }, { 160,-2621 }, { 161,-2621 }, { 162,-2621 }, { 163,-2621 },
 { 164,-2621 }, { 165,-2621 }, { 166,-2621 }, { 167,-2621 }, { 168,-2621 },
 { 169,-2621 }, { 170,-2621 }, { 171,-2621 }, { 172,-2621 }, { 173,-2621 },
 { 174,-2621 }, { 175,-2621 }, { 176,-2621 }, { 177,-2621 }, { 178,-2621 },
 { 179,-2621 }, { 180,-2621 }, { 181,-2621 }, { 182,-2621 }, { 183,-2621 },
 { 184,-2621 }, { 185,-2621 }, { 186,-2621 }, { 187,-2621 }, { 188,-2621 },
 { 189,-2621 }, { 190,-2621 }, { 191,-2621 }, { 192,-2621 }, { 193,-2621 },
 { 194,-2621 }, { 195,-2621 }, { 196,-2621 }, { 197,-2621 }, { 198,-2621 },
 { 199,-2621 }, { 200,-2621 }, { 201,-2621 }, { 202,-2621 }, { 203,-2621 },

 { 204,-2621 }, { 205,-2621 }, { 206,-2621 }, { 207,-2621 }, { 208,-2621 },
 { 209,-2621 }, { 210,-2621 }, { 211,-2621 }, { 212,-2621 }, { 213,-2621 },
 { 214,-2621 }, { 215,-2621 }, { 216,-2621 }, { 217,-2621 }, { 218,-2621 },
 { 219,-2621 }, { 220,-2621 }, { 221,-2621 }, { 222,-2621 }, { 223,-2621 },
 { 224,-2621 }, { 225,-2621 }, { 226,-2621 }, { 227,-2621 }, { 228,-2621 },
 { 229,-2621 }, { 230,-2621 }, { 231,-2621 }, { 232,-2621 }, { 233,-2621 },
 { 234,-2621 }, { 235,-2621 }, { 236,-2621 }, { 237,-2621 }, { 238,-2621 },
 { 239,-2621 }, { 240,-2621 }, { 241,-2621 }, { 242,-2621 }, { 243,-2621 },
 { 244,-2621 }, { 245,-2621 }, { 246,-2621 }, { 247,-2621 }, { 248,-2621 },
 { 249,-2621 }, { 250,-2621 }, { 251,-2621 }, { 252,-2621 }, { 253,-2621 },

 { 254,-2621 }, { 255,-2621 }, { 256,-2621 }, { 257,  20 }, {   1,   0 },
    };

static yyconst struct yy_trans_info *yy_start_state_list[5] =
    {
    &yy_transition[1],
    &yy_transition[3],
    &yy_transition[261],
    &yy_transition[519],
    &yy_transition[777],
    } ;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() (yyg->yy_more_flag = 1)
#define YY_MORE_ADJ yyg->yy_more_len
#define YY_RESTORE_YY_MORE_OFFSET
#line 1 "lib/CxNewickLexer.l"

#line 44 "lib/CxNewickLexer.l"
#include <errno.h>

#define YY_INPUT(buf, result, max_size) do {				\
    switch (yyextra->inputMode) {					\
	case CxeNewickLexerInputModeFd: {				\
	    ssize_t r = read(yyextra->input.fd, buf, max_size);		\
	    if (r == 0) {						\
		result = YY_NULL;					\
		break;							\
	    } else if (r == -1) {					\
		yyextra->ioerror = 1;					\
		result = YY_NULL;					\
		break;							\
	    }								\
	    result = r;							\
	    break;							\
	} case CxeNewickLexerInputModeStr: {			\
	    if (yyextra->input.s.len == 0) {				\
		result = YY_NULL;					\
		break;							\
	    }								\
	    result = (yyextra->input.s.len < max_size)			\
	      ? yyextra->input.s.len : max_size;			\
	    memcpy(buf, yyextra->input.s.s, result);			\
	    yyextra->input.s.s += result;				\
	    yyextra->input.s.len -= result;				\
	    break;							\
	} default: {							\
	    CxmError("Not reached");					\
	}								\
    }									\
} while (0)
#define YY_NO_INPUT 1

#line 1724 "lib/CxNewickLexer.c"

#define INITIAL 0
#define comment 1

#ifndef YY_NO_UNISTD_H
/* Special case for "unistd.h", since it is non-ANSI. We include it way
 * down here because we want the user's section 1 to have been scanned first.
 * The user has a chance to override it with an option.
 */
#include <unistd.h>
#endif

#define YY_EXTRA_TYPE CxtNewickLexerExtra *

/* Holds the entire state of the reentrant scanner. */
struct yyguts_t
    {

    /* User-defined. Not touched by flex. */
    YY_EXTRA_TYPE yyextra_r;

    /* The rest are the same as the globals declared in the non-reentrant scanner. */
    FILE *yyin_r, *yyout_r;
    size_t yy_buffer_stack_top; /**< index of top of stack. */
    size_t yy_buffer_stack_max; /**< capacity of stack. */
    YY_BUFFER_STATE * yy_buffer_stack; /**< Stack as an array. */
    char yy_hold_char;
    int yy_n_chars;
    int yyleng_r;
    char *yy_c_buf_p;
    int yy_init;
    int yy_start;
    int yy_did_buffer_switch_on_eof;
    int yy_start_stack_ptr;
    int yy_start_stack_depth;
    int *yy_start_stack;
    yy_state_type yy_last_accepting_state;
    char* yy_last_accepting_cpos;

    int yylineno_r;
    int yy_flex_debug_r;

    char *yytext_r;
    int yy_more_flag;
    int yy_more_len;

    }; /* end struct yyguts_t */

static int yy_init_globals (yyscan_t yyscanner );

int CxNewickLexer_lex_init (yyscan_t* scanner);

int CxNewickLexer_lex_init_extra (YY_EXTRA_TYPE user_defined,yyscan_t* scanner);

/* Accessor methods to globals.
   These are made visible to non-reentrant scanners for convenience. */

int CxNewickLexer_lex_destroy (yyscan_t yyscanner );

int CxNewickLexer_get_debug (yyscan_t yyscanner );

void CxNewickLexer_set_debug (int debug_flag ,yyscan_t yyscanner );

YY_EXTRA_TYPE CxNewickLexer_get_extra (yyscan_t yyscanner );

void CxNewickLexer_set_extra (YY_EXTRA_TYPE user_defined ,yyscan_t yyscanner );

FILE *CxNewickLexer_get_in (yyscan_t yyscanner );

void CxNewickLexer_set_in  (FILE * in_str ,yyscan_t yyscanner );

FILE *CxNewickLexer_get_out (yyscan_t yyscanner );

void CxNewickLexer_set_out  (FILE * out_str ,yyscan_t yyscanner );

int CxNewickLexer_get_leng (yyscan_t yyscanner );

char *CxNewickLexer_get_text (yyscan_t yyscanner );

int CxNewickLexer_get_lineno (yyscan_t yyscanner );

void CxNewickLexer_set_lineno (int line_number ,yyscan_t yyscanner );

/* Macros after this point can all be overridden by user definitions in
 * section 1.
 */

#ifndef YY_SKIP_YYWRAP
#ifdef __cplusplus
extern "C" int CxNewickLexer_wrap (yyscan_t yyscanner );
#else
extern int CxNewickLexer_wrap (yyscan_t yyscanner );
#endif
#endif

#ifndef yytext_ptr
static void yy_flex_strncpy (char *,yyconst char *,int ,yyscan_t yyscanner);
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen (yyconst char * ,yyscan_t yyscanner);
#endif

#ifndef YY_NO_INPUT

#ifdef __cplusplus
static int yyinput (yyscan_t yyscanner );
#else
static int input (yyscan_t yyscanner );
#endif

#endif

    static void yy_push_state (int new_state ,yyscan_t yyscanner);
    
    static void yy_pop_state (yyscan_t yyscanner );
    
    static int yy_top_state (yyscan_t yyscanner );
    
/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#define YY_READ_BUF_SIZE 8192
#endif

/* Copy whatever the last rule matched to the standard output. */
#ifndef ECHO
/* This used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite().
 */
#define ECHO fwrite( yytext, yyleng, 1, yyout )
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
	if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
		{ \
		int c = '*'; \
		int n; \
		for ( n = 0; n < max_size && \
			     (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
			buf[n] = (char) c; \
		if ( c == '\n' ) \
			buf[n++] = (char) c; \
		if ( c == EOF && ferror( yyin ) ) \
			YY_FATAL_ERROR( "input in flex scanner failed" ); \
		result = n; \
		} \
	else \
		{ \
		errno=0; \
		while ( (result = fread(buf, 1, max_size, yyin))==0 && ferror(yyin)) \
			{ \
			if( errno != EINTR) \
				{ \
				YY_FATAL_ERROR( "input in flex scanner failed" ); \
				break; \
				} \
			errno=0; \
			clearerr(yyin); \
			} \
		}\
\

#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
#define YY_FATAL_ERROR(msg) yy_fatal_error( msg , yyscanner)
#endif

/* end tables serialization structures and prototypes */

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL_IS_OURS 1

extern int CxNewickLexer_lex (yyscan_t yyscanner);

#define YY_DECL int CxNewickLexer_lex (yyscan_t yyscanner)
#endif /* !YY_DECL */

/* Code executed at the beginning of each rule, after yytext and yyleng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK break;
#endif

#define YY_RULE_SETUP \
	YY_USER_ACTION

/** The main scanner function which does all the work.
 */
YY_DECL
{
	register yy_state_type yy_current_state;
	register char *yy_cp, *yy_bp;
	register int yy_act;
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

#line 88 "lib/CxNewickLexer.l"


#line 1951 "lib/CxNewickLexer.c"

	if ( !yyg->yy_init )
		{
		yyg->yy_init = 1;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! yyg->yy_start )
			yyg->yy_start = 1;	/* first start state */

		if ( ! yyin )
			yyin = stdin;

		if ( ! yyout )
			yyout = stdout;

		if ( ! YY_CURRENT_BUFFER ) {
			CxNewickLexer_ensure_buffer_stack (yyscanner);
			YY_CURRENT_BUFFER_LVALUE =
				CxNewickLexer__create_buffer(yyin,YY_BUF_SIZE ,yyscanner);
		}

		CxNewickLexer__load_buffer_state(yyscanner );
		}

	while ( 1 )		/* loops until end-of-file is reached */
		{
		yyg->yy_more_len = 0;
		if ( yyg->yy_more_flag )
			{
			yyg->yy_more_len = yyg->yy_c_buf_p - yyg->yytext_ptr;
			yyg->yy_more_flag = 0;
			}
		yy_cp = yyg->yy_c_buf_p;

		/* Support of yytext. */
		*yy_cp = yyg->yy_hold_char;

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

		yy_current_state = yy_start_state_list[yyg->yy_start];
yy_match:
		{
		register yyconst struct yy_trans_info *yy_trans_info;

		register YY_CHAR yy_c;

		for ( yy_c = YY_SC_TO_UI(*yy_cp);
		      (yy_trans_info = &yy_current_state[(unsigned int) yy_c])->
		yy_verify == yy_c;
		      yy_c = YY_SC_TO_UI(*++yy_cp) )
			{
			yy_current_state += yy_trans_info->yy_nxt;

			if ( yy_current_state[-1].yy_nxt )
				{
				yyg->yy_last_accepting_state = yy_current_state;
				yyg->yy_last_accepting_cpos = yy_cp;
				}
			}
		}

yy_find_action:
		yy_act = yy_current_state[-1].yy_nxt;

		YY_DO_BEFORE_ACTION;

do_action:	/* This label is used only to access EOF actions. */

		switch ( yy_act )
	{ /* beginning of action switch */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = yyg->yy_hold_char;
			yy_cp = yyg->yy_last_accepting_cpos + 1;
			yy_current_state = yyg->yy_last_accepting_state;
			goto yy_find_action;

case 1:
YY_RULE_SETUP
#line 90 "lib/CxNewickLexer.l"
{ // [...]
    yyextra->tok.s = yytext;
    yyextra->tok.len = yyleng;
    yyextra->tokType = CxeNewickLexerTokTypeComment;
    return 1;
}
	YY_BREAK
case 2:
YY_RULE_SETUP
#line 97 "lib/CxNewickLexer.l"
{ // [...[
    yy_push_state(comment, yyscanner);
    yy_push_state(comment, yyscanner);
    yymore();
}
	YY_BREAK
case 3:
/* rule 3 can match eol */
YY_RULE_SETUP
#line 103 "lib/CxNewickLexer.l"
{ // [...\n
    yyextra->line++;
    yy_push_state(comment, yyscanner);
    yymore();
}
	YY_BREAK
case 4:
YY_RULE_SETUP
#line 109 "lib/CxNewickLexer.l"
{ // [
    yy_push_state(comment, yyscanner);
    yymore();
}
	YY_BREAK
case 5:
YY_RULE_SETUP
#line 114 "lib/CxNewickLexer.l"
{ // ]
    yy_pop_state(yyscanner);
    if (yy_top_state(yyscanner) == comment) {
	yymore();
    } else {
	yyextra->tok.s = yytext;
	yyextra->tok.len = yyleng;
	yyextra->tokType = CxeNewickLexerTokTypeComment;
	return 1;
    }
}
	YY_BREAK
case 6:
/* rule 6 can match eol */
YY_RULE_SETUP
#line 126 "lib/CxNewickLexer.l"
{ // \n
    yyextra->line++;
    yymore();
}
	YY_BREAK
case 7:
YY_RULE_SETUP
#line 131 "lib/CxNewickLexer.l"
{ // text
    yymore();
}
	YY_BREAK
case 8:
YY_RULE_SETUP
#line 135 "lib/CxNewickLexer.l"
{
    errno = 0;
    yyextra->tokType = CxeNewickLexerTokTypeLparen;
    return 1;
}
	YY_BREAK
case 9:
YY_RULE_SETUP
#line 141 "lib/CxNewickLexer.l"
{
    errno = 0;
    yyextra->tokType = CxeNewickLexerTokTypeRparen;
    return 1;
}
	YY_BREAK
case 10:
YY_RULE_SETUP
#line 147 "lib/CxNewickLexer.l"
{
    errno = 0;
    yyextra->tokType = CxeNewickLexerTokTypeComma;
    return 1;
}
	YY_BREAK
case 11:
YY_RULE_SETUP
#line 153 "lib/CxNewickLexer.l"
{
    errno = 0;
    yyextra->tokType = CxeNewickLexerTokTypeColon;
    return 1;
}
	YY_BREAK
case 12:
YY_RULE_SETUP
#line 159 "lib/CxNewickLexer.l"
{
    errno = 0;
    yyextra->tokType = CxeNewickLexerTokTypeSemicolon;
    return 1;
}
	YY_BREAK
case 13:
YY_RULE_SETUP
#line 165 "lib/CxNewickLexer.l"
{
    errno = 0;
    yyextra->tok.s = yytext;
    yyextra->tok.len = yyleng;
    yyextra->tokType = CxeNewickLexerTokTypeBranchLength;
    return 1;
}
	YY_BREAK
case 14:
YY_RULE_SETUP
#line 173 "lib/CxNewickLexer.l"
{
    yyextra->tok.s = yytext;
    yyextra->tok.len = yyleng;
    yyextra->tokType = CxeNewickLexerTokTypeUnquotedLabel;
    return 1;
}
	YY_BREAK
case 15:
/* rule 15 can match eol */
YY_RULE_SETUP
#line 180 "lib/CxNewickLexer.l"
{
    yyextra->tok.s = yytext;
    yyextra->tok.len = yyleng;
    yyextra->tokType = CxeNewickLexerTokTypeQuotedLabel;
    return 1;
}
	YY_BREAK
case 16:
YY_RULE_SETUP
#line 187 "lib/CxNewickLexer.l"
{
    yyextra->tok.s = yytext;
    yyextra->tok.len = yyleng;
    yyextra->tokType = CxeNewickLexerTokTypeWhitespace;
    return 1;
}
	YY_BREAK
case 17:
/* rule 17 can match eol */
YY_RULE_SETUP
#line 193 "lib/CxNewickLexer.l"
{
    yyextra->line += yyleng;
    yyextra->tok.s = yytext;
    yyextra->tok.len = yyleng;
    yyextra->tokType = CxeNewickLexerTokTypeWhitespace;
    return 1;
}
	YY_BREAK
case 18:
YY_RULE_SETUP
#line 201 "lib/CxNewickLexer.l"
{
    return -1;
}
	YY_BREAK
case YY_STATE_EOF(INITIAL):
case YY_STATE_EOF(comment):
#line 205 "lib/CxNewickLexer.l"
{
    return 0;
}
	YY_BREAK
case 19:
YY_RULE_SETUP
#line 209 "lib/CxNewickLexer.l"
ECHO;
	YY_BREAK
#line 2221 "lib/CxNewickLexer.c"

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - yyg->yytext_ptr) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = yyg->yy_hold_char;
		YY_RESTORE_YY_MORE_OFFSET

		if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed yyin at a new source and called
			 * CxNewickLexer_lex().  If so, then we have to assure
			 * consistency between YY_CURRENT_BUFFER and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			yyg->yy_n_chars = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
			YY_CURRENT_BUFFER_LVALUE->yy_input_file = yyin;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( yyg->yy_c_buf_p <= &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[yyg->yy_n_chars] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			yyg->yy_c_buf_p = yyg->yytext_ptr + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state( yyscanner );

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state , yyscanner);

			yy_bp = yyg->yytext_ptr + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++yyg->yy_c_buf_p;
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
				yy_cp = yyg->yy_c_buf_p;
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer( yyscanner ) )
			{
			case EOB_ACT_END_OF_FILE:
				{
				yyg->yy_did_buffer_switch_on_eof = 0;

				if ( CxNewickLexer_wrap(yyscanner ) )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * yytext, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					yyg->yy_c_buf_p = yyg->yytext_ptr + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! yyg->yy_did_buffer_switch_on_eof )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				yyg->yy_c_buf_p =
					yyg->yytext_ptr + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state( yyscanner );

				yy_cp = yyg->yy_c_buf_p;
				yy_bp = yyg->yytext_ptr + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				yyg->yy_c_buf_p =
				&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[yyg->yy_n_chars];

				yy_current_state = yy_get_previous_state( yyscanner );

				yy_cp = yyg->yy_c_buf_p;
				yy_bp = yyg->yytext_ptr + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
} /* end of CxNewickLexer_lex */

/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */
static int yy_get_next_buffer (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
	register char *dest = YY_CURRENT_BUFFER_LVALUE->yy_ch_buf;
	register char *source = yyg->yytext_ptr;
	register int number_to_move, i;
	int ret_val;

	if ( yyg->yy_c_buf_p > &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[yyg->yy_n_chars + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( YY_CURRENT_BUFFER_LVALUE->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( yyg->yy_c_buf_p - yyg->yytext_ptr - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) (yyg->yy_c_buf_p - yyg->yytext_ptr) - 1;

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = yyg->yy_n_chars = 0;

	else
		{
			int num_to_read =
			YY_CURRENT_BUFFER_LVALUE->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = YY_CURRENT_BUFFER;

			int yy_c_buf_p_offset =
				(int) (yyg->yy_c_buf_p - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				int new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					CxNewickLexer_realloc((void *) b->yy_ch_buf,b->yy_buf_size + 2 ,yyscanner );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = 0;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			yyg->yy_c_buf_p = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = YY_CURRENT_BUFFER_LVALUE->yy_buf_size -
						number_to_move - 1;

			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[number_to_move]),
			yyg->yy_n_chars, (size_t) num_to_read );

		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = yyg->yy_n_chars;
		}

	if ( yyg->yy_n_chars == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			CxNewickLexer_restart(yyin  ,yyscanner);
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	if ((yy_size_t) (yyg->yy_n_chars + number_to_move) > YY_CURRENT_BUFFER_LVALUE->yy_buf_size) {
		/* Extend the array by 50%, plus the number we really need. */
		yy_size_t new_size = yyg->yy_n_chars + number_to_move + (yyg->yy_n_chars >> 1);
		YY_CURRENT_BUFFER_LVALUE->yy_ch_buf = (char *) CxNewickLexer_realloc((void *) YY_CURRENT_BUFFER_LVALUE->yy_ch_buf,new_size ,yyscanner );
		if ( ! YY_CURRENT_BUFFER_LVALUE->yy_ch_buf )
			YY_FATAL_ERROR( "out of dynamic memory in yy_get_next_buffer()" );
	}

	yyg->yy_n_chars += number_to_move;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[yyg->yy_n_chars] = YY_END_OF_BUFFER_CHAR;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[yyg->yy_n_chars + 1] = YY_END_OF_BUFFER_CHAR;

	yyg->yytext_ptr = &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[0];

	return ret_val;
}

/* yy_get_previous_state - get the state just before the EOB char was reached */

    static yy_state_type yy_get_previous_state (yyscan_t yyscanner)
{
	register yy_state_type yy_current_state;
	register char *yy_cp;
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

	yy_current_state = yy_start_state_list[yyg->yy_start];

	for ( yy_cp = yyg->yytext_ptr + YY_MORE_ADJ; yy_cp < yyg->yy_c_buf_p; ++yy_cp )
		{
		yy_current_state += yy_current_state[(*yy_cp ? YY_SC_TO_UI(*yy_cp) : 256)].yy_nxt;
		if ( yy_current_state[-1].yy_nxt )
			{
			yyg->yy_last_accepting_state = yy_current_state;
			yyg->yy_last_accepting_cpos = yy_cp;
			}
		}

	return yy_current_state;
}

/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */
    static yy_state_type yy_try_NUL_trans  (yy_state_type yy_current_state , yyscan_t yyscanner)
{
	register int yy_is_jam;
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner; /* This var may be unused depending upon options. */
	register char *yy_cp = yyg->yy_c_buf_p;

	register int yy_c = 256;
	register yyconst struct yy_trans_info *yy_trans_info;

	yy_trans_info = &yy_current_state[(unsigned int) yy_c];
	yy_current_state += yy_trans_info->yy_nxt;
	yy_is_jam = (yy_trans_info->yy_verify != yy_c);

	if ( ! yy_is_jam )
		{
		if ( yy_current_state[-1].yy_nxt )
			{
			yyg->yy_last_accepting_state = yy_current_state;
			yyg->yy_last_accepting_cpos = yy_cp;
			}
		}

	return yy_is_jam ? 0 : yy_current_state;
}

#ifndef YY_NO_INPUT
#ifdef __cplusplus
    static int yyinput (yyscan_t yyscanner)
#else
    static int input  (yyscan_t yyscanner)
#endif

{
	int c;
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

	*yyg->yy_c_buf_p = yyg->yy_hold_char;

	if ( *yyg->yy_c_buf_p == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( yyg->yy_c_buf_p < &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[yyg->yy_n_chars] )
			/* This was really a NUL. */
			*yyg->yy_c_buf_p = '\0';

		else
			{ /* need more input */
			int offset = yyg->yy_c_buf_p - yyg->yytext_ptr;
			++yyg->yy_c_buf_p;

			switch ( yy_get_next_buffer( yyscanner ) )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					CxNewickLexer_restart(yyin ,yyscanner);

					/*FALLTHROUGH*/

				case EOB_ACT_END_OF_FILE:
					{
					if ( CxNewickLexer_wrap(yyscanner ) )
						return EOF;

					if ( ! yyg->yy_did_buffer_switch_on_eof )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput(yyscanner);
#else
					return input(yyscanner);
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					yyg->yy_c_buf_p = yyg->yytext_ptr + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) yyg->yy_c_buf_p;	/* cast for 8-bit char's */
	*yyg->yy_c_buf_p = '\0';	/* preserve yytext */
	yyg->yy_hold_char = *++yyg->yy_c_buf_p;

	return c;
}
#endif	/* ifndef YY_NO_INPUT */

/** Immediately switch to a different input stream.
 * @param input_file A readable stream.
 * @param yyscanner The scanner object.
 * @note This function does not reset the start condition to @c INITIAL .
 */
    void CxNewickLexer_restart  (FILE * input_file , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

	if ( ! YY_CURRENT_BUFFER ){
        CxNewickLexer_ensure_buffer_stack (yyscanner);
		YY_CURRENT_BUFFER_LVALUE =
            CxNewickLexer__create_buffer(yyin,YY_BUF_SIZE ,yyscanner);
	}

	CxNewickLexer__init_buffer(YY_CURRENT_BUFFER,input_file ,yyscanner);
	CxNewickLexer__load_buffer_state(yyscanner );
}

/** Switch to a different input buffer.
 * @param new_buffer The new input buffer.
 * @param yyscanner The scanner object.
 */
    void CxNewickLexer__switch_to_buffer  (YY_BUFFER_STATE  new_buffer , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

	/* TODO. We should be able to replace this entire function body
	 * with
	 *		CxNewickLexer_pop_buffer_state();
	 *		CxNewickLexer_push_buffer_state(new_buffer);
     */
	CxNewickLexer_ensure_buffer_stack (yyscanner);
	if ( YY_CURRENT_BUFFER == new_buffer )
		return;

	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*yyg->yy_c_buf_p = yyg->yy_hold_char;
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = yyg->yy_c_buf_p;
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = yyg->yy_n_chars;
		}

	YY_CURRENT_BUFFER_LVALUE = new_buffer;
	CxNewickLexer__load_buffer_state(yyscanner );

	/* We don't actually know whether we did this switch during
	 * EOF (CxNewickLexer_wrap()) processing, but the only time this flag
	 * is looked at is after CxNewickLexer_wrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	yyg->yy_did_buffer_switch_on_eof = 1;
}

static void CxNewickLexer__load_buffer_state  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
	yyg->yy_n_chars = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
	yyg->yytext_ptr = yyg->yy_c_buf_p = YY_CURRENT_BUFFER_LVALUE->yy_buf_pos;
	yyin = YY_CURRENT_BUFFER_LVALUE->yy_input_file;
	yyg->yy_hold_char = *yyg->yy_c_buf_p;
}

/** Allocate and initialize an input buffer state.
 * @param file A readable stream.
 * @param size The character buffer size in bytes. When in doubt, use @c YY_BUF_SIZE.
 * @param yyscanner The scanner object.
 * @return the allocated buffer state.
 */
    YY_BUFFER_STATE CxNewickLexer__create_buffer  (FILE * file, int  size , yyscan_t yyscanner)
{
	YY_BUFFER_STATE b;
    
	b = (YY_BUFFER_STATE) CxNewickLexer_alloc(sizeof( struct yy_buffer_state ) ,yyscanner );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in CxNewickLexer__create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) CxNewickLexer_alloc(b->yy_buf_size + 2 ,yyscanner );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in CxNewickLexer__create_buffer()" );

	b->yy_is_our_buffer = 1;

	CxNewickLexer__init_buffer(b,file ,yyscanner);

	return b;
}

/** Destroy the buffer.
 * @param b a buffer created with CxNewickLexer__create_buffer()
 * @param yyscanner The scanner object.
 */
    void CxNewickLexer__delete_buffer (YY_BUFFER_STATE  b , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

	if ( ! b )
		return;

	if ( b == YY_CURRENT_BUFFER ) /* Not sure if we should pop here. */
		YY_CURRENT_BUFFER_LVALUE = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		CxNewickLexer_free((void *) b->yy_ch_buf ,yyscanner );

	CxNewickLexer_free((void *) b ,yyscanner );
}

#ifndef __cplusplus
extern int isatty (int );
#endif /* __cplusplus */
    
/* Initializes or reinitializes a buffer.
 * This function is sometimes called more than once on the same buffer,
 * such as during a CxNewickLexer_restart() or at EOF.
 */
    static void CxNewickLexer__init_buffer  (YY_BUFFER_STATE  b, FILE * file , yyscan_t yyscanner)

{
	int oerrno = errno;
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

	CxNewickLexer__flush_buffer(b ,yyscanner);

	b->yy_input_file = file;
	b->yy_fill_buffer = 1;

    /* If b is the current buffer, then CxNewickLexer__init_buffer was _probably_
     * called from CxNewickLexer_restart() or through yy_get_next_buffer.
     * In that case, we don't want to reset the lineno or column.
     */
    if (b != YY_CURRENT_BUFFER){
        b->yy_bs_lineno = 1;
        b->yy_bs_column = 0;
    }

        b->yy_is_interactive = file ? (isatty( fileno(file) ) > 0) : 0;
    
	errno = oerrno;
}

/** Discard all buffered characters. On the next scan, YY_INPUT will be called.
 * @param b the buffer state to be flushed, usually @c YY_CURRENT_BUFFER.
 * @param yyscanner The scanner object.
 */
    void CxNewickLexer__flush_buffer (YY_BUFFER_STATE  b , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == YY_CURRENT_BUFFER )
		CxNewickLexer__load_buffer_state(yyscanner );
}

/** Pushes the new state onto the stack. The new state becomes
 *  the current state. This function will allocate the stack
 *  if necessary.
 *  @param new_buffer The new state.
 *  @param yyscanner The scanner object.
 */
void CxNewickLexer_push_buffer_state (YY_BUFFER_STATE new_buffer , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
	if (new_buffer == NULL)
		return;

	CxNewickLexer_ensure_buffer_stack(yyscanner);

	/* This block is copied from CxNewickLexer__switch_to_buffer. */
	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*yyg->yy_c_buf_p = yyg->yy_hold_char;
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = yyg->yy_c_buf_p;
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = yyg->yy_n_chars;
		}

	/* Only push if top exists. Otherwise, replace top. */
	if (YY_CURRENT_BUFFER)
		yyg->yy_buffer_stack_top++;
	YY_CURRENT_BUFFER_LVALUE = new_buffer;

	/* copied from CxNewickLexer__switch_to_buffer. */
	CxNewickLexer__load_buffer_state(yyscanner );
	yyg->yy_did_buffer_switch_on_eof = 1;
}

/** Removes and deletes the top of the stack, if present.
 *  The next element becomes the new top.
 *  @param yyscanner The scanner object.
 */
void CxNewickLexer_pop_buffer_state (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
	if (!YY_CURRENT_BUFFER)
		return;

	CxNewickLexer__delete_buffer(YY_CURRENT_BUFFER ,yyscanner);
	YY_CURRENT_BUFFER_LVALUE = NULL;
	if (yyg->yy_buffer_stack_top > 0)
		--yyg->yy_buffer_stack_top;

	if (YY_CURRENT_BUFFER) {
		CxNewickLexer__load_buffer_state(yyscanner );
		yyg->yy_did_buffer_switch_on_eof = 1;
	}
}

/* Allocates the stack if it does not exist.
 *  Guarantees space for at least one push.
 */
static void CxNewickLexer_ensure_buffer_stack (yyscan_t yyscanner)
{
	int num_to_alloc;
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

	if (!yyg->yy_buffer_stack) {

		/* First allocation is just for 2 elements, since we don't know if this
		 * scanner will even need a stack. We use 2 instead of 1 to avoid an
		 * immediate realloc on the next call.
         */
		num_to_alloc = 1;
		yyg->yy_buffer_stack = (struct yy_buffer_state**)CxNewickLexer_alloc
								(num_to_alloc * sizeof(struct yy_buffer_state*)
								, yyscanner);
		if ( ! yyg->yy_buffer_stack )
			YY_FATAL_ERROR( "out of dynamic memory in CxNewickLexer_ensure_buffer_stack()" );
								  
		memset(yyg->yy_buffer_stack, 0, num_to_alloc * sizeof(struct yy_buffer_state*));
				
		yyg->yy_buffer_stack_max = num_to_alloc;
		yyg->yy_buffer_stack_top = 0;
		return;
	}

	if (yyg->yy_buffer_stack_top >= (yyg->yy_buffer_stack_max) - 1){

		/* Increase the buffer to prepare for a possible push. */
		int grow_size = 8 /* arbitrary grow size */;

		num_to_alloc = yyg->yy_buffer_stack_max + grow_size;
		yyg->yy_buffer_stack = (struct yy_buffer_state**)CxNewickLexer_realloc
								(yyg->yy_buffer_stack,
								num_to_alloc * sizeof(struct yy_buffer_state*)
								, yyscanner);
		if ( ! yyg->yy_buffer_stack )
			YY_FATAL_ERROR( "out of dynamic memory in CxNewickLexer_ensure_buffer_stack()" );

		/* zero only the new slots.*/
		memset(yyg->yy_buffer_stack + yyg->yy_buffer_stack_max, 0, grow_size * sizeof(struct yy_buffer_state*));
		yyg->yy_buffer_stack_max = num_to_alloc;
	}
}

/** Setup the input buffer state to scan directly from a user-specified character buffer.
 * @param base the character buffer
 * @param size the size in bytes of the character buffer
 * @param yyscanner The scanner object.
 * @return the newly allocated buffer state object. 
 */
YY_BUFFER_STATE CxNewickLexer__scan_buffer  (char * base, yy_size_t  size , yyscan_t yyscanner)
{
	YY_BUFFER_STATE b;
    
	if ( size < 2 ||
	     base[size-2] != YY_END_OF_BUFFER_CHAR ||
	     base[size-1] != YY_END_OF_BUFFER_CHAR )
		/* They forgot to leave room for the EOB's. */
		return 0;

	b = (YY_BUFFER_STATE) CxNewickLexer_alloc(sizeof( struct yy_buffer_state ) ,yyscanner );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in CxNewickLexer__scan_buffer()" );

	b->yy_buf_size = size - 2;	/* "- 2" to take care of EOB's */
	b->yy_buf_pos = b->yy_ch_buf = base;
	b->yy_is_our_buffer = 0;
	b->yy_input_file = 0;
	b->yy_n_chars = b->yy_buf_size;
	b->yy_is_interactive = 0;
	b->yy_at_bol = 1;
	b->yy_fill_buffer = 0;
	b->yy_buffer_status = YY_BUFFER_NEW;

	CxNewickLexer__switch_to_buffer(b ,yyscanner );

	return b;
}

/** Setup the input buffer state to scan a string. The next call to CxNewickLexer_lex() will
 * scan from a @e copy of @a str.
 * @param yystr a NUL-terminated string to scan
 * @param yyscanner The scanner object.
 * @return the newly allocated buffer state object.
 * @note If you want to scan bytes that may contain NUL values, then use
 *       CxNewickLexer__scan_bytes() instead.
 */
YY_BUFFER_STATE CxNewickLexer__scan_string (yyconst char * yystr , yyscan_t yyscanner)
{
    
	return CxNewickLexer__scan_bytes(yystr,strlen(yystr) ,yyscanner);
}

/** Setup the input buffer state to scan the given bytes. The next call to CxNewickLexer_lex() will
 * scan from a @e copy of @a bytes.
 * @param bytes the byte buffer to scan
 * @param len the number of bytes in the buffer pointed to by @a bytes.
 * @param yyscanner The scanner object.
 * @return the newly allocated buffer state object.
 */
YY_BUFFER_STATE CxNewickLexer__scan_bytes  (yyconst char * yybytes, int  _yybytes_len , yyscan_t yyscanner)
{
	YY_BUFFER_STATE b;
	char *buf;
	yy_size_t n;
	int i;
    
	/* Get memory for full buffer, including space for trailing EOB's. */
	n = _yybytes_len + 2;
	buf = (char *) CxNewickLexer_alloc(n ,yyscanner );
	if ( ! buf )
		YY_FATAL_ERROR( "out of dynamic memory in CxNewickLexer__scan_bytes()" );

	for ( i = 0; i < _yybytes_len; ++i )
		buf[i] = yybytes[i];

	buf[_yybytes_len] = buf[_yybytes_len+1] = YY_END_OF_BUFFER_CHAR;

	b = CxNewickLexer__scan_buffer(buf,n ,yyscanner);
	if ( ! b )
		YY_FATAL_ERROR( "bad buffer in CxNewickLexer__scan_bytes()" );

	/* It's okay to grow etc. this buffer, and we should throw it
	 * away when we're done.
	 */
	b->yy_is_our_buffer = 1;

	return b;
}

    static void yy_push_state (int  new_state , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
	if ( yyg->yy_start_stack_ptr >= yyg->yy_start_stack_depth )
		{
		yy_size_t new_size;

		yyg->yy_start_stack_depth += YY_START_STACK_INCR;
		new_size = yyg->yy_start_stack_depth * sizeof( int );

		if ( ! yyg->yy_start_stack )
			yyg->yy_start_stack = (int *) CxNewickLexer_alloc(new_size ,yyscanner );

		else
			yyg->yy_start_stack = (int *) CxNewickLexer_realloc((void *) yyg->yy_start_stack,new_size ,yyscanner );

		if ( ! yyg->yy_start_stack )
			YY_FATAL_ERROR( "out of memory expanding start-condition stack" );
		}

	yyg->yy_start_stack[yyg->yy_start_stack_ptr++] = YY_START;

	BEGIN(new_state);
}

    static void yy_pop_state  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
	if ( --yyg->yy_start_stack_ptr < 0 )
		YY_FATAL_ERROR( "start-condition stack underflow" );

	BEGIN(yyg->yy_start_stack[yyg->yy_start_stack_ptr]);
}

    static int yy_top_state  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
	return yyg->yy_start_stack[yyg->yy_start_stack_ptr - 1];
}

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

static void yy_fatal_error (yyconst char* msg , yyscan_t yyscanner)
{
    	(void) fprintf( stderr, "%s\n", msg );
	exit( YY_EXIT_FAILURE );
}

/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		yytext[yyleng] = yyg->yy_hold_char; \
		yyg->yy_c_buf_p = yytext + yyless_macro_arg; \
		yyg->yy_hold_char = *yyg->yy_c_buf_p; \
		*yyg->yy_c_buf_p = '\0'; \
		yyleng = yyless_macro_arg; \
		} \
	while ( 0 )

/* Accessor  methods (get/set functions) to struct members. */

/** Get the user-defined data for this scanner.
 * @param yyscanner The scanner object.
 */
YY_EXTRA_TYPE CxNewickLexer_get_extra  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    return yyextra;
}

/** Get the current line number.
 * @param yyscanner The scanner object.
 */
int CxNewickLexer_get_lineno  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    
        if (! YY_CURRENT_BUFFER)
            return 0;
    
    return yylineno;
}

/** Get the current column number.
 * @param yyscanner The scanner object.
 */
int CxNewickLexer_get_column  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    
        if (! YY_CURRENT_BUFFER)
            return 0;
    
    return yycolumn;
}

/** Get the input stream.
 * @param yyscanner The scanner object.
 */
FILE *CxNewickLexer_get_in  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    return yyin;
}

/** Get the output stream.
 * @param yyscanner The scanner object.
 */
FILE *CxNewickLexer_get_out  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    return yyout;
}

/** Get the length of the current token.
 * @param yyscanner The scanner object.
 */
int CxNewickLexer_get_leng  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    return yyleng;
}

/** Get the current token.
 * @param yyscanner The scanner object.
 */

char *CxNewickLexer_get_text  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    return yytext;
}

/** Set the user-defined data. This data is never touched by the scanner.
 * @param user_defined The data to be associated with this scanner.
 * @param yyscanner The scanner object.
 */
void CxNewickLexer_set_extra (YY_EXTRA_TYPE  user_defined , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    yyextra = user_defined ;
}

/** Set the current line number.
 * @param line_number
 * @param yyscanner The scanner object.
 */
void CxNewickLexer_set_lineno (int  line_number , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

        /* lineno is only valid if an input buffer exists. */
        if (! YY_CURRENT_BUFFER )
           yy_fatal_error( "CxNewickLexer_set_lineno called with no buffer" , yyscanner); 
    
    yylineno = line_number;
}

/** Set the current column.
 * @param line_number
 * @param yyscanner The scanner object.
 */
void CxNewickLexer_set_column (int  column_no , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

        /* column is only valid if an input buffer exists. */
        if (! YY_CURRENT_BUFFER )
           yy_fatal_error( "CxNewickLexer_set_column called with no buffer" , yyscanner); 
    
    yycolumn = column_no;
}

/** Set the input stream. This does not discard the current
 * input buffer.
 * @param in_str A readable stream.
 * @param yyscanner The scanner object.
 * @see CxNewickLexer__switch_to_buffer
 */
void CxNewickLexer_set_in (FILE *  in_str , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    yyin = in_str ;
}

void CxNewickLexer_set_out (FILE *  out_str , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    yyout = out_str ;
}

int CxNewickLexer_get_debug  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    return yy_flex_debug;
}

void CxNewickLexer_set_debug (int  bdebug , yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    yy_flex_debug = bdebug ;
}

/* Accessor methods for yylval and yylloc */

/* User-visible API */

/* CxNewickLexer_lex_init is special because it creates the scanner itself, so it is
 * the ONLY reentrant function that doesn't take the scanner as the last argument.
 * That's why we explicitly handle the declaration, instead of using our macros.
 */

int CxNewickLexer_lex_init(yyscan_t* ptr_yy_globals)

{
    if (ptr_yy_globals == NULL){
        errno = EINVAL;
        return 1;
    }

    *ptr_yy_globals = (yyscan_t) CxNewickLexer_alloc ( sizeof( struct yyguts_t ), NULL );

    if (*ptr_yy_globals == NULL){
        errno = ENOMEM;
        return 1;
    }

    /* By setting to 0xAA, we expose bugs in yy_init_globals. Leave at 0x00 for releases. */
    memset(*ptr_yy_globals,0x00,sizeof(struct yyguts_t));

    return yy_init_globals ( *ptr_yy_globals );
}

/* CxNewickLexer_lex_init_extra has the same functionality as CxNewickLexer_lex_init, but follows the
 * convention of taking the scanner as the last argument. Note however, that
 * this is a *pointer* to a scanner, as it will be allocated by this call (and
 * is the reason, too, why this function also must handle its own declaration).
 * The user defined value in the first argument will be available to CxNewickLexer_alloc in
 * the yyextra field.
 */

int CxNewickLexer_lex_init_extra(YY_EXTRA_TYPE yy_user_defined,yyscan_t* ptr_yy_globals )

{
    struct yyguts_t dummy_yyguts;

    CxNewickLexer_set_extra (yy_user_defined, &dummy_yyguts);

    if (ptr_yy_globals == NULL){
        errno = EINVAL;
        return 1;
    }
	
    *ptr_yy_globals = (yyscan_t) CxNewickLexer_alloc ( sizeof( struct yyguts_t ), &dummy_yyguts );
	
    if (*ptr_yy_globals == NULL){
        errno = ENOMEM;
        return 1;
    }
    
    /* By setting to 0xAA, we expose bugs in
    yy_init_globals. Leave at 0x00 for releases. */
    memset(*ptr_yy_globals,0x00,sizeof(struct yyguts_t));
    
    CxNewickLexer_set_extra (yy_user_defined, *ptr_yy_globals);
    
    return yy_init_globals ( *ptr_yy_globals );
}

static int yy_init_globals (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;
    /* Initialization is the same as for the non-reentrant scanner.
     * This function is called from CxNewickLexer_lex_destroy(), so don't allocate here.
     */

    yyg->yy_buffer_stack = 0;
    yyg->yy_buffer_stack_top = 0;
    yyg->yy_buffer_stack_max = 0;
    yyg->yy_c_buf_p = (char *) 0;
    yyg->yy_init = 0;
    yyg->yy_start = 0;

    yyg->yy_start_stack_ptr = 0;
    yyg->yy_start_stack_depth = 0;
    yyg->yy_start_stack =  NULL;

/* Defined in main.c */
#ifdef YY_STDINIT
    yyin = stdin;
    yyout = stdout;
#else
    yyin = (FILE *) 0;
    yyout = (FILE *) 0;
#endif

    /* For future reference: Set errno on error, since we are called by
     * CxNewickLexer_lex_init()
     */
    return 0;
}

/* CxNewickLexer_lex_destroy is for both reentrant and non-reentrant scanners. */
int CxNewickLexer_lex_destroy  (yyscan_t yyscanner)
{
    struct yyguts_t * yyg = (struct yyguts_t*)yyscanner;

    /* Pop the buffer stack, destroying each element. */
	while(YY_CURRENT_BUFFER){
		CxNewickLexer__delete_buffer(YY_CURRENT_BUFFER ,yyscanner );
		YY_CURRENT_BUFFER_LVALUE = NULL;
		CxNewickLexer_pop_buffer_state(yyscanner);
	}

	/* Destroy the stack itself. */
	CxNewickLexer_free(yyg->yy_buffer_stack ,yyscanner);
	yyg->yy_buffer_stack = NULL;

    /* Destroy the start condition stack. */
        CxNewickLexer_free(yyg->yy_start_stack ,yyscanner );
        yyg->yy_start_stack = NULL;

    /* Reset the globals. This is important in a non-reentrant scanner so the next time
     * CxNewickLexer_lex() is called, initialization will occur. */
    yy_init_globals( yyscanner);

    /* Destroy the main struct (reentrant only). */
    CxNewickLexer_free ( yyscanner , yyscanner );
    yyscanner = NULL;
    return 0;
}

/*
 * Internal utility routines.
 */

#ifndef yytext_ptr
static void yy_flex_strncpy (char* s1, yyconst char * s2, int n , yyscan_t yyscanner)
{
	register int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
}
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen (yyconst char * s , yyscan_t yyscanner)
{
	register int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
}
#endif

void *CxNewickLexer_alloc (yy_size_t  size , yyscan_t yyscanner)
{
	return (void *) malloc( size );
}

void *CxNewickLexer_realloc  (void * ptr, yy_size_t  size , yyscan_t yyscanner)
{
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return (void *) realloc( (char *) ptr, size );
}

void CxNewickLexer_free (void * ptr , yyscan_t yyscanner)
{
	free( (char *) ptr );	/* see CxNewickLexer_realloc() for (char *) cast */
}

#define YYTABLES_NAME "yytables"

#line 209 "lib/CxNewickLexer.l"



int
CxNewickLexer_wrap(yyscan_t yyscanner) {
    return 1;
}

